Index: anches/2013/dev_r3853_CNRS9_ConfSetting/DOC/TexFiles/Namelist/namcfg
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/DOC/TexFiles/Namelist/namcfg	(revision 4043)
+++ 	(revision )
@@ -1,20 +1,0 @@
-!-----------------------------------------------------------------------
-&namcfg     !   default parameters of the configuration      
-!-----------------------------------------------------------------------
-   cp_cfg      =  "default"            !  name of the configuration
-   cp_cfz      =         ''            !  name of the zoom of configuration
-   jp_cfg      =       0               !  resolution of the configuration
-   jpidta      =      10               !  1st lateral dimension ( >= jpi )
-   jpjdta      =      12               !  2nd    "         "    ( >= jpj )
-   jpkdta      =      31               !  number of levels      ( >= jpk )
-   jpiglo      =      10               !  1st dimension of global domain --> i =jpidta
-   jpjglo      =      12               !  2nd    -                  -    --> j  =jpjdta
-   jpizoom     =       1               !  left bottom (i,j) indices of the zoom
-   jpjzoom     =       1               !  in data domain indices
-   jperio      =       0               !  lateral cond. type (between 0 and 6)
-                                       !  = 0 closed                 ;   = 1 cyclic East-West
-                                       !  = 2 equatorial symmetric   ;   = 3 North fold T-point pivot 
-                                       !  = 4 cyclic East-West AND North fold T-point pivot
-                                       !  = 5 North fold F-point pivot
-                                       !  = 6 cyclic East-West AND North fold F-point pivot
-/
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/CONFIG/AMM12/EXP00/namelist_cfg
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/CONFIG/AMM12/EXP00/namelist_cfg	(revision 4043)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/CONFIG/AMM12/EXP00/namelist_cfg	(revision 4044)
@@ -6,4 +6,5 @@
 !-----------------------------------------------------------------------
    cn_exp      =  "AMM12"  !  experience name
+   nn_it000    =       1   !  first time step
    nn_itend    =    2880   !  last  time step (std 1 day = 288)
    nn_date0    =  20070101 !  date at nit_0000 (format yyyymmdd) used if ln_rstart=F or (ln_rstart=T and nn_rstctl=0 or 1)
@@ -11,5 +12,5 @@
    ln_rstart   =  .true.  !  start from rest (F) or from a restart file (T)
    cn_ocerst_in   = "amm12_restart_oce"   !  suffix of ocean restart name (input)
-   cn_ocerst_out  = "AMM12.restart.out"   !  suffix of ocean restart name (input)
+   cn_ocerst_out  = "restart_oce_out"   !  suffix of ocean restart name (input)
    nn_istate   =       1   !  output the initial state (1) or not (0)
    nn_stock    =     2880  !  frequency of creation of a restart file (modulo referenced to 1)
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/CONFIG/GYRE/EXP00/namelist_cfg
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/CONFIG/GYRE/EXP00/namelist_cfg	(revision 4043)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/CONFIG/GYRE/EXP00/namelist_cfg	(revision 4044)
@@ -6,4 +6,5 @@
 !-----------------------------------------------------------------------
    cn_exp      =  "GYRE"   !  experience name
+   nn_it000    =       1   !  first time step
    nn_itend    =    4320   !  last  time step
    nn_leapy    =      30   !  Leap year calendar (1) or not (0)
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/CONFIG/GYRE_BFM/EXP00/namelist_cfg
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/CONFIG/GYRE_BFM/EXP00/namelist_cfg	(revision 4043)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/CONFIG/GYRE_BFM/EXP00/namelist_cfg	(revision 4044)
@@ -13,4 +13,5 @@
 !-----------------------------------------------------------------------
    cn_exp      =  "GYRE"   !  experience name
+   nn_it000    =       1   !  first time step
    nn_itend    =    4320   !  last  time step
    nn_leapy    =      30   !  Leap year calendar (1) or not (0)
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/CONFIG/GYRE_PISCES/EXP00/namelist_cfg
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/CONFIG/GYRE_PISCES/EXP00/namelist_cfg	(revision 4043)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/CONFIG/GYRE_PISCES/EXP00/namelist_cfg	(revision 4044)
@@ -6,4 +6,5 @@
 !-----------------------------------------------------------------------
    cn_exp      =  "GYRE"   !  experience name
+   nn_it000    =       1   !  first time step
    nn_itend    =    4320   !  last  time step
    nn_leapy    =      30   !  Leap year calendar (1) or not (0)
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/CONFIG/ORCA2_LIM/EXP00/1_namelist_cfg
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/CONFIG/ORCA2_LIM/EXP00/1_namelist_cfg	(revision 4043)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/CONFIG/ORCA2_LIM/EXP00/1_namelist_cfg	(revision 4044)
@@ -14,5 +14,5 @@
 &namcfg        !   parameters of the configuration
 !-----------------------------------------------------------------------
-   cp_cfg      =  "default"               !  name of the configuration
+   cp_cfg      =  "default"             !  name of the configuration
    jp_cfg      =      -1               !  resolution of the configuration
    jpidta      =     182               !  1st lateral dimension ( >= jpi )
@@ -24,4 +24,12 @@
    jpjzoom     =       1               !  in data domain indices
    jperio      =       0               !  lateral cond. type (between 0 and 6)
+/
+!-----------------------------------------------------------------------
+&namzgr        !   vertical coordinate
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
+&namdom        !   space and time domain (bathymetry, mesh, timestep)
+!-----------------------------------------------------------------------  
    jphgr_msh   =       0               !  type of horizontal mesh
    ppglam0     =  999999.0             !  longitude of first raw and column T-point (jphgr_msh = 1)
@@ -42,12 +50,4 @@
    ppkth2      =  999999.              !
    ppacr2      =  999999.              !
-/
-!-----------------------------------------------------------------------
-&namzgr        !   vertical coordinate
-!-----------------------------------------------------------------------
-/
-!-----------------------------------------------------------------------
-&namdom        !   space and time domain (bathymetry, mesh, timestep)
-!-----------------------------------------------------------------------   
    rn_rdt      = 2880.     !  time step for the dynamics (and tracer if nn_acc=0)
    rn_rdtmin   = 14400.          !  minimum time step on tracers (used if nn_acc=1)
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/CONFIG/ORCA2_LIM/EXP00/iodef.xml
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/CONFIG/ORCA2_LIM/EXP00/iodef.xml	(revision 4043)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/CONFIG/ORCA2_LIM/EXP00/iodef.xml	(revision 4044)
@@ -1,1 +1,303 @@
-link iodef_default.xml
+<?xml version="1.0"?>
+<simulation> 
+
+ <context id="nemo" time_origin="1950-01-01 00:00:00" >
+    
+    <!-- $id$ -->
+    
+    <!-- 
+============================================================================================================
+=                                  definition of all existing variables                                    =
+=                                            DO NOT CHANGE                                                 =
+============================================================================================================
+    -->
+    <field_definition src="./field_def.xml"/>
+    <!-- 
+============================================================================================================
+=                                           output files definition                                        =
+=                                            Define your own files                                         =
+=                                         put the variables you want...                                    =
+============================================================================================================
+    -->
+    
+    <file_definition type="multiple_file" sync_freq="1d" min_digits="4">
+    
+      <file_group id="1h" output_freq="1h"  output_level="10" enabled=".TRUE."/> <!-- 1h files -->
+      <file_group id="2h" output_freq="2h"  output_level="10" enabled=".TRUE."/> <!-- 2h files -->
+      <file_group id="3h" output_freq="3h"  output_level="10" enabled=".TRUE."/> <!-- 3h files -->     
+      <file_group id="4h" output_freq="4h"  output_level="10" enabled=".TRUE."/> <!-- 4h files -->
+      <file_group id="6h" output_freq="6h"  output_level="10" enabled=".TRUE."/> <!-- 6h files -->
+     
+      <file_group id="1d" output_freq="1d"  output_level="10" enabled=".TRUE."> <!-- 1d files -->
+
+	<file id="1d_grid_T" name="auto" description="ocean T grid variables" >
+	  <field field_ref="sst"          name="tos"      long_name="sea_surface_temperature"                       />
+	  <field field_ref="sss"          name="sos"      long_name="sea_surface_salinity"                          />
+	  <field field_ref="ssh"          name="zos"      long_name="sea_surface_height_above_geoid"                />
+	</file>
+
+	<file id="1d_grid_U" name="auto" description="ocean U grid variables" >
+	  <field field_ref="suoce"        name="uos"     long_name="sea_surface_x_velocity"    />
+	</file>
+	
+	<file id="1d_grid_V" name="auto" description="ocean V grid variables" >
+	  <field field_ref="svoce"        name="vos"     long_name="sea_surface_y_velocity"    />
+	</file>
+	
+      </file_group>
+      <file_group id="3d" output_freq="3d"  output_level="10" enabled=".TRUE."/> <!-- 3d files -->    
+
+      <file_group id="5d" output_freq="5d"  output_level="10" enabled=".TRUE.">  <!-- 5d files -->   
+
+	<file id="5d_grid_T" name="auto" description="ocean T grid variables" >
+	  <field field_ref="toce"         name="thetao"   long_name="sea_water_potential_temperature"               />
+	  <field field_ref="soce"         name="so"       long_name="sea_water_salinity"                            />
+	  <field field_ref="sst"          name="tos"      long_name="sea_surface_temperature"                       />
+	  <field field_ref="sst2"         name="tossq"    long_name="square_of_sea_surface_temperature"             />
+	  <field field_ref="sss"          name="sos"      long_name="sea_surface_salinity"                          />
+	  <field field_ref="ssh"          name="zos"      long_name="sea_surface_height_above_geoid"                />
+	  <field field_ref="ssh2"         name="zossq"    long_name="square_of_sea_surface_height_above_geoid"      />
+	  <field field_ref="empmr"        name="wfo"      long_name="water_flux_into_sea_water"                     />
+	  <field field_ref="qsr"          name="rsntds"   long_name="surface_net_downward_shortwave_flux"           />
+	  <field field_ref="qt"           name="tohfls"   long_name="surface_net_downward_total_heat_flux"          />
+	  <field field_ref="taum"         />
+	  <field field_ref="mldkz5"       />
+	  <field field_ref="mldr10_1"     />
+	</file>
+	
+	<file id="5d_grid_U" name="auto" description="ocean U grid variables" >
+	  <field field_ref="uoce"         name="uo"      long_name="sea_water_x_velocity"      />
+	  <field field_ref="suoce"        name="uos"     long_name="sea_surface_x_velocity"    />
+	  <field field_ref="utau"         name="tauuo"   long_name="surface_downward_x_stress" />
+	</file>
+	
+	<file id="5d_grid_V" name="auto" description="ocean V grid variables" >
+	  <field field_ref="voce"         name="vo"      long_name="sea_water_y_velocity"      />
+	  <field field_ref="svoce"        name="vos"     long_name="sea_surface_y_velocity"    />
+	  <field field_ref="vtau"         name="tauvo"   long_name="surface_downward_y_stress" />
+	</file>
+	
+	<file id="5d_grid_W" name="auto" description="ocean W grid variables" >
+	  <field field_ref="woce"         name="wo"      long_name="ocean vertical velocity"         />
+	  <field field_ref="avt"          name="difvho"  long_name="ocean_vertical_heat_diffusivity" />
+	</file>
+	
+	<file id="5d_icemod" name="auto" description="ice variables" >
+	  <field field_ref="ice_pres"                     />
+	  <field field_ref="snowthic_cea" name="snd"     long_name="surface_snow_thickness"   />
+	  <field field_ref="icethic_cea"  name="sit"     long_name="sea_ice_thickness"        />
+	  <field field_ref="iceprod_cea"  name="sip"     long_name="sea_ice_thickness"        />
+	  <field field_ref="ist_ipa"      />
+	  <field field_ref="ioceflxb"     />
+	  <field field_ref="uice_ipa"     />
+	  <field field_ref="vice_ipa"     />
+	  <field field_ref="utau_ice"     />
+	  <field field_ref="vtau_ice"     />
+	  <field field_ref="qsr_io_cea"   />
+	  <field field_ref="qns_io_cea"   />
+	  <field field_ref="snowpre"      />
+	</file>
+	
+      </file_group>
+
+      <file_group id="1m" output_freq="1mo" output_level="10" enabled=".TRUE."/> <!-- real monthly files -->
+      <file_group id="2m" output_freq="2mo" output_level="10" enabled=".TRUE."/> <!-- real 2m files -->
+      <file_group id="3m" output_freq="3mo" output_level="10" enabled=".TRUE."/> <!-- real 3m files -->
+      <file_group id="4m" output_freq="4mo" output_level="10" enabled=".TRUE."/> <!-- real 4m files -->
+      <file_group id="6m" output_freq="6mo" output_level="10" enabled=".TRUE."/> <!-- real 6m files -->
+
+      <file_group id="1y"  output_freq="1y" output_level="10" enabled=".TRUE."/> <!-- real yearly files -->
+      <file_group id="2y"  output_freq="2y" output_level="10" enabled=".TRUE."/> <!-- real 2y files -->
+      <file_group id="5y"  output_freq="5y" output_level="10" enabled=".TRUE."/> <!-- real 5y files -->
+      <file_group id="10y" output_freq="10y" output_level="10" enabled=".TRUE."/> <!-- real 10y files -->
+
+   </file_definition>
+    
+    <!-- 
+============================================================================================================
+= grid definition = = DO NOT CHANGE =
+============================================================================================================
+    -->
+    
+   <axis_definition>  
+      <axis id="deptht" long_name="Vertical T levels" unit="m" positive="down" />
+      <axis id="depthu" long_name="Vertical U levels" unit="m" positive="down" />
+      <axis id="depthv" long_name="Vertical V levels" unit="m" positive="down" />
+      <axis id="depthw" long_name="Vertical W levels" unit="m" positive="down" />
+      <axis id="nfloat" long_name="Float number"      unit="-"  />
+   </axis_definition> 
+    
+   <domain_definition src="./domain_def.xml"/>
+   
+   <grid_definition>    
+     <grid id="grid_T_2D" domain_ref="grid_T"/>
+     <grid id="grid_T_3D" domain_ref="grid_T" axis_ref="deptht"/>
+     <grid id="grid_U_2D" domain_ref="grid_U"/>
+     <grid id="grid_U_3D" domain_ref="grid_U" axis_ref="depthu"/>
+     <grid id="grid_V_2D" domain_ref="grid_V"/>
+     <grid id="grid_V_3D" domain_ref="grid_V" axis_ref="depthv"/>
+     <grid id="grid_W_2D" domain_ref="grid_W"/>
+     <grid id="grid_W_3D" domain_ref="grid_W" axis_ref="depthw"/>
+    </grid_definition>   
+  </context>
+  
+ <context id="1_nemo" time_origin="1950-01-01 00:00:00" >
+    
+    <!-- $id$ -->
+    
+    <!-- 
+============================================================================================================
+=                                  definition of all existing variables                                    =
+=                                            DO NOT CHANGE                                                 =
+============================================================================================================
+    -->
+    <field_definition src="./field_def.xml"/>
+    <!-- 
+============================================================================================================
+=                                           output files definition                                        =
+=                                            Define your own files                                         =
+=                                         put the variables you want...                                    =
+============================================================================================================
+    -->
+    
+    <file_definition type="multiple_file" sync_freq="1d" min_digits="4">
+    
+      <file_group id="1h" output_freq="1h"  output_level="10" enabled=".TRUE."/> <!-- 1h files -->
+      <file_group id="2h" output_freq="2h"  output_level="10" enabled=".TRUE."/> <!-- 2h files -->
+      <file_group id="3h" output_freq="3h"  output_level="10" enabled=".TRUE."/> <!-- 3h files -->     
+      <file_group id="4h" output_freq="4h"  output_level="10" enabled=".TRUE."/> <!-- 4h files -->
+      <file_group id="6h" output_freq="6h"  output_level="10" enabled=".TRUE."/> <!-- 6h files -->
+     
+      <file_group id="1d" output_freq="1d"  output_level="10" enabled=".TRUE."> <!-- 1d files -->
+
+	<file id="1d_grid_T" name="auto" description="ocean T grid variables" >
+	  <field field_ref="sst"          name="tos"      long_name="sea_surface_temperature"                       />
+	  <field field_ref="sss"          name="sos"      long_name="sea_surface_salinity"                          />
+	  <field field_ref="ssh"          name="zos"      long_name="sea_surface_height_above_geoid"                />
+	</file>
+
+	<file id="1d_grid_U" name="auto" description="ocean U grid variables" >
+	  <field field_ref="suoce"        name="uos"     long_name="sea_surface_x_velocity"    />
+	</file>
+	
+	<file id="1d_grid_V" name="auto" description="ocean V grid variables" >
+	  <field field_ref="svoce"        name="vos"     long_name="sea_surface_y_velocity"    />
+	</file>
+	
+      </file_group>
+      <file_group id="3d" output_freq="3d"  output_level="10" enabled=".TRUE."/> <!-- 3d files -->    
+
+      <file_group id="5d" output_freq="5d"  output_level="10" enabled=".TRUE.">  <!-- 5d files -->   
+
+	<file id="5d_grid_T" name="auto" description="ocean T grid variables" >
+	  <field field_ref="toce"         name="thetao"   long_name="sea_water_potential_temperature"               />
+	  <field field_ref="soce"         name="so"       long_name="sea_water_salinity"                            />
+	  <field field_ref="sst"          name="tos"      long_name="sea_surface_temperature"                       />
+	  <field field_ref="sst2"         name="tossq"    long_name="square_of_sea_surface_temperature"             />
+	  <field field_ref="sss"          name="sos"      long_name="sea_surface_salinity"                          />
+	  <field field_ref="ssh"          name="zos"      long_name="sea_surface_height_above_geoid"                />
+	  <field field_ref="ssh2"         name="zossq"    long_name="square_of_sea_surface_height_above_geoid"      />
+	  <field field_ref="empmr"        name="wfo"      long_name="water_flux_into_sea_water"                     />
+	  <field field_ref="qsr"          name="rsntds"   long_name="surface_net_downward_shortwave_flux"           />
+	  <field field_ref="qt"           name="tohfls"   long_name="surface_net_downward_total_heat_flux"          />
+	  <field field_ref="taum"         />
+	  <field field_ref="mldkz5"       />
+	  <field field_ref="mldr10_1"     />
+	</file>
+	
+	<file id="5d_grid_U" name="auto" description="ocean U grid variables" >
+	  <field field_ref="uoce"         name="uo"      long_name="sea_water_x_velocity"      />
+	  <field field_ref="suoce"        name="uos"     long_name="sea_surface_x_velocity"    />
+	  <field field_ref="utau"         name="tauuo"   long_name="surface_downward_x_stress" />
+	</file>
+	
+	<file id="5d_grid_V" name="auto" description="ocean V grid variables" >
+	  <field field_ref="voce"         name="vo"      long_name="sea_water_y_velocity"      />
+	  <field field_ref="svoce"        name="vos"     long_name="sea_surface_y_velocity"    />
+	  <field field_ref="vtau"         name="tauvo"   long_name="surface_downward_y_stress" />
+	</file>
+	
+	<file id="5d_grid_W" name="auto" description="ocean W grid variables" >
+	  <field field_ref="woce"         name="wo"      long_name="ocean vertical velocity"         />
+	  <field field_ref="avt"          name="difvho"  long_name="ocean_vertical_heat_diffusivity" />
+	</file>
+	
+	<file id="5d_icemod" name="auto" description="ice variables" >
+	  <field field_ref="ice_pres"                     />
+	  <field field_ref="snowthic_cea" name="snd"     long_name="surface_snow_thickness"   />
+	  <field field_ref="icethic_cea"  name="sit"     long_name="sea_ice_thickness"        />
+	  <field field_ref="iceprod_cea"  name="sip"     long_name="sea_ice_thickness"        />
+	  <field field_ref="ist_ipa"      />
+	  <field field_ref="ioceflxb"     />
+	  <field field_ref="uice_ipa"     />
+	  <field field_ref="vice_ipa"     />
+	  <field field_ref="utau_ice"     />
+	  <field field_ref="vtau_ice"     />
+	  <field field_ref="qsr_io_cea"   />
+	  <field field_ref="qns_io_cea"   />
+	  <field field_ref="snowpre"      />
+	</file>
+	
+      </file_group>
+
+      <file_group id="1m" output_freq="1mo" output_level="10" enabled=".TRUE."/> <!-- real monthly files -->
+      <file_group id="2m" output_freq="2mo" output_level="10" enabled=".TRUE."/> <!-- real 2m files -->
+      <file_group id="3m" output_freq="3mo" output_level="10" enabled=".TRUE."/> <!-- real 3m files -->
+      <file_group id="4m" output_freq="4mo" output_level="10" enabled=".TRUE."/> <!-- real 4m files -->
+      <file_group id="6m" output_freq="6mo" output_level="10" enabled=".TRUE."/> <!-- real 6m files -->
+
+      <file_group id="1y"  output_freq="1y" output_level="10" enabled=".TRUE."/> <!-- real yearly files -->
+      <file_group id="2y"  output_freq="2y" output_level="10" enabled=".TRUE."/> <!-- real 2y files -->
+      <file_group id="5y"  output_freq="5y" output_level="10" enabled=".TRUE."/> <!-- real 5y files -->
+      <file_group id="10y" output_freq="10y" output_level="10" enabled=".TRUE."/> <!-- real 10y files -->
+
+   </file_definition>
+    
+    <!-- 
+============================================================================================================
+= grid definition = = DO NOT CHANGE =
+============================================================================================================
+    -->
+    
+   <axis_definition>  
+      <axis id="deptht" long_name="Vertical T levels" unit="m" positive="down" />
+      <axis id="depthu" long_name="Vertical U levels" unit="m" positive="down" />
+      <axis id="depthv" long_name="Vertical V levels" unit="m" positive="down" />
+      <axis id="depthw" long_name="Vertical W levels" unit="m" positive="down" />
+      <axis id="nfloat" long_name="Float number"      unit="-"  />
+   </axis_definition> 
+    
+   <domain_definition src="./domain_def.xml"/>
+   
+   <grid_definition>    
+     <grid id="grid_T_2D" domain_ref="grid_T"/>
+     <grid id="grid_T_3D" domain_ref="grid_T" axis_ref="deptht"/>
+     <grid id="grid_U_2D" domain_ref="grid_U"/>
+     <grid id="grid_U_3D" domain_ref="grid_U" axis_ref="depthu"/>
+     <grid id="grid_V_2D" domain_ref="grid_V"/>
+     <grid id="grid_V_3D" domain_ref="grid_V" axis_ref="depthv"/>
+     <grid id="grid_W_2D" domain_ref="grid_W"/>
+     <grid id="grid_W_3D" domain_ref="grid_W" axis_ref="depthw"/>
+    </grid_definition>   
+  </context>
+
+
+  <context id="xios">
+
+      <variable_definition>
+	
+     <!-- 
+        We must have buffer_size > jpi*jpj*jpk*8 (with jpi and jpj the subdomain size)
+-->
+	  <variable id="buffer_size"               type="integer">25000000</variable>
+	  <variable id="buffer_server_factor_size" type="integer">2</variable>
+	  <variable id="info_level"                type="integer">0</variable>
+	  <variable id="using_server"              type="boolean">false</variable>
+	  <variable id="using_oasis"               type="boolean">false</variable>
+	  <variable id="oasis_codes_id"            type="string" >oceanx</variable>
+	
+      </variable_definition>
+               
+  </context>
+  
+</simulation>
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/CONFIG/ORCA2_LIM/EXP00/namelist_cfg
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/CONFIG/ORCA2_LIM/EXP00/namelist_cfg	(revision 4043)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/CONFIG/ORCA2_LIM/EXP00/namelist_cfg	(revision 4044)
@@ -6,4 +6,5 @@
 &namrun        !   parameters of the run
 !-----------------------------------------------------------------------
+   nn_it000    =       1   !  first time step
    nn_itend    =    100    !  last  time step (std 5475)
    nn_write    =     10    !  frequency of write in the output file   (modulo referenced to nn_it000)
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/CONFIG/ORCA2_LIM_CFC_C14b/EXP00/namelist_cfg
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/CONFIG/ORCA2_LIM_CFC_C14b/EXP00/namelist_cfg	(revision 4043)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/CONFIG/ORCA2_LIM_CFC_C14b/EXP00/namelist_cfg	(revision 4044)
@@ -13,4 +13,5 @@
 !-----------------------------------------------------------------------
    cn_exp      =  "ORCA2C"  !  experience name 
+   nn_it000    =       1    !  first time step
    nn_date0    = 19600101  
 /
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/CONFIG/ORCA2_LIM_PISCES/EXP00/namelist_cfg
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/CONFIG/ORCA2_LIM_PISCES/EXP00/namelist_cfg	(revision 4043)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/CONFIG/ORCA2_LIM_PISCES/EXP00/namelist_cfg	(revision 4044)
@@ -6,6 +6,7 @@
 &namrun        !   parameters of the run
 !-----------------------------------------------------------------------
-   nn_itend    =    100   !  last  time step (std 5475)
-   nn_write    =    10     !  frequency of write in the output file   (modulo referenced to nn_it000)
+   nn_it000    =      1    !  first time step
+   nn_itend    =    100    !  last  time step (std 5475)
+   nn_write    =     10    !  frequency of write in the output file   (modulo referenced to nn_it000)
 /
 !-----------------------------------------------------------------------
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/CONFIG/ORCA2_OFF_PISCES/EXP00/namelist_cfg
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/CONFIG/ORCA2_OFF_PISCES/EXP00/namelist_cfg	(revision 4043)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/CONFIG/ORCA2_OFF_PISCES/EXP00/namelist_cfg	(revision 4044)
@@ -6,7 +6,8 @@
 !-----------------------------------------------------------------------
    cn_exp      =  "PISCES"  !  experience name 
-   nn_itend    =    100   !  last  time step (std 5475)
-   nn_stock    =    1460   !  frequency of creation of a restart file (modulo referenced to 1)
-   nn_write    =    100   !  frequency of write in the output file   (modulo referenced to nn_it000)
+   nn_it000    =       1    !  first time step
+   nn_itend    =    100     !  last  time step (std 5475)
+   nn_stock    =    1460    !  frequency of creation of a restart file (modulo referenced to 1)
+   nn_write    =    100     !  frequency of write in the output file   (modulo referenced to nn_it000)
 /
 !-----------------------------------------------------------------------
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/CONFIG/ORCA2_SAS_LIM/EXP00/namelist_cfg
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/CONFIG/ORCA2_SAS_LIM/EXP00/namelist_cfg	(revision 4043)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/CONFIG/ORCA2_SAS_LIM/EXP00/namelist_cfg	(revision 4044)
@@ -6,6 +6,6 @@
 !-----------------------------------------------------------------------
    cn_exp      =  "ORCA2_SAS"  !  experience name 
-   nn_it000    =       1   !  first time step
-   nn_itend    =     100   !  last  time step (std 5475)
+   nn_it000    =       1       !  first time step
+   nn_itend    =     100       !  last  time step (std 5475)
 /
 !-----------------------------------------------------------------------
@@ -50,4 +50,8 @@
 /
 !-----------------------------------------------------------------------
+&namctl        !   Control prints & Benchmark
+!-----------------------------------------------------------------------
+/
+!-----------------------------------------------------------------------
 &namsbc        !   Surface Boundary Condition (surface module)
 !-----------------------------------------------------------------------
@@ -77,5 +81,4 @@
 !-----------------------------------------------------------------------
 /
-
 !-----------------------------------------------------------------------
 &nameos        !   ocean physical parameters
@@ -86,6 +89,2 @@
 !-----------------------------------------------------------------------
 /
-!-----------------------------------------------------------------------
-&namctl        !   Control prints & Benchmark
-!-----------------------------------------------------------------------
-/
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/CONFIG/SHARED/1_namelist_ref
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/CONFIG/SHARED/1_namelist_ref	(revision 4043)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/CONFIG/SHARED/1_namelist_ref	(revision 4044)
@@ -11,5 +11,5 @@
 !!              8 - Verical physics  (namzdf, namzdf_ric, namzdf_tke, namzdf_kpp, namzdf_ddm, namzdf_tmx)
 !!              9 - diagnostics      (namnc4, namtrd, namspr, namflo, namptr, namhsb)
-!!             10 - miscellaneous    (namsol, nammpp, nammpp_dyndist, namctl)
+!!             10 - miscellaneous    (namsol, nammpp, namctl)
 !!             11 - Obs & Assim      (namobs, nam_asminc)
 !!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
@@ -838,5 +838,4 @@
 !!======================================================================
 !!   nammpp            Massively Parallel Processing                    ("key_mpp_mpi)
-!!   nammpp_dyndist    Massively Parallel domain decomposition          ("key_agrif" && "key_mpp_dyndist")
 !!   namctl            Control prints & Benchmark
 !!   namsol            elliptic solver / island / free surface
@@ -866,11 +865,4 @@
    jpnj        =   0       !  jpnj   number of processors following j (set automatically if < 1)
    jpnij       =   0       !  jpnij  number of local domains (set automatically if < 1)
-/
-!-----------------------------------------------------------------------
-&nammpp_dyndist !   Massively Parallel Distribution for AGRIF zoom      ("key_agrif" && "key_mpp_dyndist")
-!-----------------------------------------------------------------------
-   jpni        =    1      !  jpni   number of processors following i
-   jpnj        =    1      !  jpnj   number of processors following j
-   jpnij       =    1      !  jpnij  number of local domains
 /
 !-----------------------------------------------------------------------
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/CONFIG/SHARED/namelist_ref
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/CONFIG/SHARED/namelist_ref	(revision 4043)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/CONFIG/SHARED/namelist_ref	(revision 4044)
@@ -11,5 +11,5 @@
 !!              8 - Verical physics  (namzdf, namzdf_ric, namzdf_tke, namzdf_kpp, namzdf_ddm, namzdf_tmx)
 !!              9 - diagnostics      (namnc4, namtrd, namspr, namflo, namptr, namhsb)
-!!             10 - miscellaneous    (namsol, nammpp, nammpp_dyndist, namctl)
+!!             10 - miscellaneous    (namsol, nammpp, namctl)
 !!             11 - Obs & Assim      (namobs, nam_asminc)
 !!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
@@ -840,5 +840,4 @@
 !!======================================================================
 !!   nammpp            Massively Parallel Processing                    ("key_mpp_mpi)
-!!   nammpp_dyndist    Massively Parallel domain decomposition          ("key_agrif" && "key_mpp_dyndist")
 !!   namctl            Control prints & Benchmark
 !!   namsol            elliptic solver / island / free surface
@@ -868,11 +867,4 @@
    jpnj        =   0       !  jpnj   number of processors following j (set automatically if < 1)
    jpnij       =   0       !  jpnij  number of local domains (set automatically if < 1)
-/
-!-----------------------------------------------------------------------
-&nammpp_dyndist !   Massively Parallel Distribution for AGRIF zoom      ("key_agrif" && "key_mpp_dyndist")
-!-----------------------------------------------------------------------
-   jpni        =    1      !  jpni   number of processors following i
-   jpnj        =    1      !  jpnj   number of processors following j
-   jpnij       =    1      !  jpnij  number of local domains
 /
 !-----------------------------------------------------------------------
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/CONFIG/SHARED/namelist_top_ref
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/CONFIG/SHARED/namelist_top_ref	(revision 4043)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/CONFIG/SHARED/namelist_top_ref	(revision 4044)
@@ -97,4 +97,5 @@
 !----------------------------------------------------------------------
    ln_diatrc     =  .true.   !  save additional diag. (T) or not (F)
+   ln_diabio     =  .true.   !  output biological trends
    nn_writedia   =  5475     !  time step frequency for diagnostics
    nn_writebio   =    10     !: frequency of biological outputs
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/CONFIG/cfg.txt
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/CONFIG/cfg.txt	(revision 4043)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/CONFIG/cfg.txt	(revision 4044)
@@ -11,2 +11,13 @@
 ORCA2_LIM OPA_SRC LIM_SRC_2 NST_SRC
 AGRIF OPA_SRC LIM_SRC_2 NST_SRC
+GYRE_LONG OPA_SRC
+GYRE_4 OPA_SRC
+ORCA2LIMPIS_LONG OPA_SRC LIM_SRC_2 NST_SRC TOP_SRC
+ORCA2LIMPIS_16 OPA_SRC LIM_SRC_2 NST_SRC TOP_SRC
+ORCA2OFFPIS_LONG OPA_SRC OFF_SRC TOP_SRC
+ORCA2OFFPIS_16 OPA_SRC OFF_SRC TOP_SRC
+AMM12_LONG OPA_SRC
+AMM12_32 OPA_SRC
+ORCA2AGUL_1_2 OPA_SRC LIM_SRC_2 NST_SRC
+SAS_LONG OPA_SRC SAS_SRC LIM_SRC_2 NST_SRC
+SAS_32 OPA_SRC SAS_SRC LIM_SRC_2 NST_SRC
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/NST_SRC/agrif_user.F90
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/NST_SRC/agrif_user.F90	(revision 4043)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/NST_SRC/agrif_user.F90	(revision 4044)
@@ -72,5 +72,4 @@
       ENDIF
    ENDIF
-PRINT *, " cp_cfg = ",cp_cfg," jp_cfg= ", jp_cfg
    ! Specific fine grid Initializations
    ! no tracer damping on fine grids
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/DOM/domain.F90
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/DOM/domain.F90	(revision 4043)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/DOM/domain.F90	(revision 4044)
@@ -152,9 +152,8 @@
          WRITE(numout,*) '~~~~~~~ '
          WRITE(numout,*) '   Namelist namrun'
-         WRITE(numout,*) '      configuration name              cp_cfg     = ', cp_cfg
-         WRITE(numout,*) '      configuration resolution        jp_cfg     = ', jp_cfg
-         WRITE(numout,*) '      experiment name for output      cn_exp     = ', cn_exp
          WRITE(numout,*) '      job number                      nn_no      = ', nn_no
          WRITE(numout,*) '      experiment name for output      cn_exp     = ', cn_exp
+         WRITE(numout,*) '      file prefix restart input       cn_ocerst_in= ', cn_ocerst_in
+         WRITE(numout,*) '      file prefix restart output      cn_ocerst_out= ', cn_ocerst_out
          WRITE(numout,*) '      restart logical                 ln_rstart  = ', ln_rstart
          WRITE(numout,*) '      control of time step            nn_rstctl  = ', nn_rstctl
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/SETTE/BATCH_TEMPLATE/batch-macport_osx
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/SETTE/BATCH_TEMPLATE/batch-macport_osx	(revision 4044)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/SETTE/BATCH_TEMPLATE/batch-macport_osx	(revision 4044)
@@ -0,0 +1,81 @@
+#!/bin/bash 
+#!
+# @ job_name = MPI_config
+# standard output file  
+# @ output = $(job_name).$(jobid)
+# standard error file
+# @ error =  $(job_name).$(jobid)
+# job type
+# @ job_type = parallel
+# Number of procs 
+# @ total_tasks = NPROCS
+# time
+# @ wall_clock_limit = 0:30:00
+# @ queue
+
+#
+# Test specific settings. Do not hand edit these lines; the fcm_job.sh script will set these
+# (via sed operating on this template job file). 
+#
+  OCEANCORES=NPROCS
+  export SETTE_DIR=DEF_SETTE_DIR
+
+###############################################################
+#
+# set up mpp computing environment
+#
+# Local settings for machine mac osx using macport
+#
+export MPIRUN="mpirun -np $OCEANCORES"
+
+#
+# load sette functions (only post_test_tidyup needed)
+#
+  . ${SETTE_DIR}/all_functions.sh
+
+# Don't remove neither change the following comment line
+# BODY
+
+
+#
+# These variables are needed by post_test_tidyup function in all_functions.sh
+#
+  export EXE_DIR=DEF_EXE_DIR
+  export INPUT_DIR=DEF_INPUT_DIR
+  export CONFIG_DIR=DEF_CONFIG_DIR
+  export NEMO_VALIDATION_DIR=DEF_NEMO_VALIDATION
+  export NEW_CONF=DEF_NEW_CONF
+  export CMP_NAM=DEF_CMP_NAM
+  export TEST_NAME=DEF_TEST_NAME
+#
+# end of set up
+
+
+###############################################################
+#
+# change to the working directory 
+#
+cd ${EXE_DIR}
+
+  echo Running on host `hostname`
+  echo Time is `date`
+  echo Directory is `pwd`
+# 
+#  Run the parallel MPI executable 
+#
+  if [ MPI_FLAG == "yes" ]; then
+  echo "Running time ${MPIRUN} ./opa"
+     time ${MPIRUN} ./opa
+  else
+  echo "Running time./opa"
+     time ./opa
+  fi
+
+
+#
+  post_test_tidyup
+
+# END_BODY
+# Don't remove neither change the previous comment line
+
+  exit
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/SETTE/all_functions.sh
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/SETTE/all_functions.sh	(revision 4043)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/SETTE/all_functions.sh	(revision 4044)
@@ -111,12 +111,36 @@
 	if [ ${#VAR_NAME} -eq 0 ] 
 	then
-		echo "doing \"set_namelist $@\". "
-		echo "variable: \"$2\" is empty"
-		echo "control that variable $2 is in \"${EXE_DIR}/$1\" "
-		echo "exit"
-		echo "error in executing script : set_namelist $@" >> ${SETTE_DIR}/output.sette
-		echo "....." >> ${SETTE_DIR}/output.sette
-		exit 1
+		echo "doing \"set_namelist $@\". "  >> ${SETTE_DIR}/output.sette
+		echo "variable: \"$2\" not found in \"${EXE_DIR}/$1\" "  >> ${SETTE_DIR}/output.sette
+                NAMREF=$( basename $1 _cfg )_ref
+		echo "doing more : search in ${EXE_DIR}/$NAMREF " >> ${SETTE_DIR}/output.sette
+                VAR_NAME=$( supergrep $2 ${EXE_DIR}/$NAMREF )
+	        if [ ${#VAR_NAME} -eq 0 ] 
+	        then
+                    echo " variable $VAR_NAME not found in ${EXE_DIR}/$1 nor in ${EXE_DIR}/$NAMREF "
+                    echo " check your variable name "
+        		echo "exit"
+	        	echo "error in executing script : set_namelist $@" >> ${SETTE_DIR}/output.sette
+	        	echo "....." >> ${SETTE_DIR}/output.sette
+        		exit 1
+                fi
+                LINEVAR=$( grep -s -n "$VAR_NAME" ${EXE_DIR}/$NAMREF | awk -F: '{ { print $1} }' )
+                echo " $VAR_NAME found in ${EXE_DIR}/$NAMREF at line $LINEVAR " >> ${SETTE_DIR}/output.sette
+#   search for namelist group name
+                NAMGRP=$( head -n$LINEVAR ${EXE_DIR}/$NAMREF | grep --line-buffered "^&nam" | tail -1 | awk -F" " '{ { print $1} }' ) 
+                echo " variable $VAR_NAME will be added in $NAMGRP namelist-group of namelist file ${EXE_DIR}/$1 " >> ${SETTE_DIR}/output.sette
+# Add $VARNAME in namelist file ${EXE_DIR}/$1 in namelist group $NAMGRP
+
+                sed "/${NAMGRP} /a\ 
+${VAR_NAME} 
+ " ${EXE_DIR}/$1 > ${EXE_DIR}/$1.tmp
+# if file not empty replace ${EXE_DIR}/$1
+                if [ -s ${EXE_DIR}/$1.tmp ] ; then
+                   mv ${EXE_DIR}/$1.tmp ${EXE_DIR}/$1 
+                else
+                echo "file ${EXE_DIR}/$1.tmp is empty. sed command went wrong "; exit 200
+                fi
 	fi
+
         sed -e "s:${VAR_NAME}.*:${VAR_NAME}:" ${EXE_DIR}/$1 > ${EXE_DIR}/$1.tmp
         mv ${EXE_DIR}/$1.tmp ${EXE_DIR}/$1
@@ -151,4 +175,10 @@
 ################################################################
 # SMALL DEBUG
+    if [ ! -r ${EXE_DIR}/ocean.output ]
+        then
+        grep "E R R O R" ${EXE_DIR}/ocean.output && echo "Some ERRORS at execution time, see ${EXE_DIR}/ocean.output"
+        exit 2
+    fi
+
     if [ ! -r ${EXE_DIR}/time.step ]
         then
@@ -158,6 +188,7 @@
     else
         echo "file time.step exists"  >> ${SETTE_DIR}/output.sette
-        echo "ok model run"   >> ${SETTE_DIR}/output.sette
-    fi
+        echo "execution of model time step loop started"   >> ${SETTE_DIR}/output.sette
+    fi
+
 ################################################################
 
@@ -191,7 +222,9 @@
     echo "saving ocean & ice output, solver.stat, tracer.stat files ...." >> ${SETTE_DIR}/output.sette
     echo "            " >> ${SETTE_DIR}/output.sette
-    [ -f ${EXE_DIR}/*ocean.output ] && cp ${EXE_DIR}/*ocean.output ${NEMO_VALID}/.
-    [ -f ${EXE_DIR}/*solver.stat ] && cp ${EXE_DIR}/*solver.stat ${NEMO_VALID}/.
-    [ -f ${EXE_DIR}/*tracer.stat ] && cp ${EXE_DIR}/*tracer.stat ${NEMO_VALID}/.
+    [ -f ${EXE_DIR}/ocean.output ] && cp ${EXE_DIR}/*ocean.output ${NEMO_VALID}/.
+    [ -f ${EXE_DIR}/solver.stat ] && cp ${EXE_DIR}/*solver.stat ${NEMO_VALID}/.
+    [ -f ${EXE_DIR}/output.namelist.dyn ] && cp ${EXE_DIR}/*output.nam* ${NEMO_VALID}/.
+    [ -f ${EXE_DIR}/tracer.stat ] && cp ${EXE_DIR}/*tracer.stat ${NEMO_VALID}/.
+
     if [ -n "$(ls ${NEMO_VALID}/*solver*)" ] ; then
 	echo "moved solver.stat in ${NEMO_VALID} directory"  >> ${SETTE_DIR}/output.sette
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/SETTE/input_AMM12.cfg
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/SETTE/input_AMM12.cfg	(revision 4043)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/SETTE/input_AMM12.cfg	(revision 4044)
@@ -1,1 +1,1 @@
-amm12_inputs_v3_4_spinup.tar 
+AMM12_v3.5.tar AMM12.v3_5
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/SETTE/input_ORCA2_LIM.cfg
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/SETTE/input_ORCA2_LIM.cfg	(revision 4043)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/SETTE/input_ORCA2_LIM.cfg	(revision 4044)
@@ -1,1 +1,1 @@
-ORCA2_LIM_nemo_v3.4.tar
+ORCA2_LIM_nemo_v3.4.tar ORCA2_LIM_nemo_v3.4
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/SETTE/input_ORCA2_LIM_AGRIF.cfg
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/SETTE/input_ORCA2_LIM_AGRIF.cfg	(revision 4043)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/SETTE/input_ORCA2_LIM_AGRIF.cfg	(revision 4044)
@@ -1,1 +1,1 @@
-ORCA2_LIM_nemo_v3.4.tar
+ORCA2_LIM_nemo_v3.4.tar ORCA2_LIM_nemo_v3.4
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/SETTE/input_ORCA2_LIM_PISCES.cfg
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/SETTE/input_ORCA2_LIM_PISCES.cfg	(revision 4043)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/SETTE/input_ORCA2_LIM_PISCES.cfg	(revision 4044)
@@ -1,1 +1,4 @@
-ORCA2_LIM_nemo_v3.4.tar
+ORCA2_LIM_nemo_v3.4.tar ORCA2_LIM_PISCES_v3.5
+INPUTS_DYNA_v3.tar ORCA2_LIM_PISCES_v3.5 
+INPUTS_INIT_v3.tar ORCA2_LIM_PISCES_v3.5
+INPUTS_PISCES_v3.5.tar ORCA2_LIM_PISCES_v3.5 
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/SETTE/input_ORCA2_OFF_PISCES.cfg
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/SETTE/input_ORCA2_OFF_PISCES.cfg	(revision 4043)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/SETTE/input_ORCA2_OFF_PISCES.cfg	(revision 4044)
@@ -1,1 +1,3 @@
-INPUTS_DYNA_v3.tar 
+INPUTS_DYNA_v3.tar ORCA2_OFF_PISCES
+INPUTS_INIT_v3.tar ORCA2_OFF_PISCES 
+INPUTS_PISCES_v3.5.tar ORCA2_OFF_PISCES
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/SETTE/input_SAS.cfg
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/SETTE/input_SAS.cfg	(revision 4044)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/SETTE/input_SAS.cfg	(revision 4044)
@@ -0,0 +1,2 @@
+ORCA2_LIM_nemo_v3.4.tar ORCA2_LIM_nemo_v3.4
+INPUTS_SAS_v3.5.tar SAS 
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/SETTE/iodef_sette.xml
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/SETTE/iodef_sette.xml	(revision 4043)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/SETTE/iodef_sette.xml	(revision 4044)
@@ -67,4 +67,145 @@
   </context>
   
+ <context id="1_nemo" time_origin="1950-01-01 00:00:00" >
+    
+    <!-- $id$ -->
+    
+    <!-- 
+============================================================================================================
+=                                  definition of all existing variables                                    =
+=                                            DO NOT CHANGE                                                 =
+============================================================================================================
+    -->
+    <field_definition src="./field_def.xml"/>
+    <!-- 
+============================================================================================================
+=                                           output files definition                                        =
+=                                            Define your own files                                         =
+=                                         put the variables you want...                                    =
+============================================================================================================
+    -->
+    
+    <file_definition type="multiple_file" sync_freq="1d" min_digits="4">
+    
+      <file_group id="1h" output_freq="1h"  output_level="10" enabled=".FALSE."/> <!-- 1h files -->
+      <file_group id="2h" output_freq="2h"  output_level="10" enabled=".FALSE."/> <!-- 2h files -->
+      <file_group id="3h" output_freq="3h"  output_level="10" enabled=".FALSE."/> <!-- 3h files -->     
+      <file_group id="4h" output_freq="4h"  output_level="10" enabled=".FALSE."/> <!-- 4h files -->
+      <file_group id="6h" output_freq="6h"  output_level="10" enabled=".FALSE."/> <!-- 6h files -->
+     
+      <file_group id="1d" output_freq="1d"  output_level="10" enabled=".FALSE."> <!-- 1d files -->
+
+	<file id="1d_grid_T" name="auto" description="ocean T grid variables" >
+	  <field field_ref="sst"          name="tos"      long_name="sea_surface_temperature"                       />
+	  <field field_ref="sss"          name="sos"      long_name="sea_surface_salinity"                          />
+	  <field field_ref="ssh"          name="zos"      long_name="sea_surface_height_above_geoid"                />
+	</file>
+
+	<file id="1d_grid_U" name="auto" description="ocean U grid variables" >
+	  <field field_ref="suoce"        name="uos"     long_name="sea_surface_x_velocity"    />
+	</file>
+	
+	<file id="1d_grid_V" name="auto" description="ocean V grid variables" >
+	  <field field_ref="svoce"        name="vos"     long_name="sea_surface_y_velocity"    />
+	</file>
+	
+      </file_group>
+      <file_group id="3d" output_freq="3d"  output_level="10" enabled=".FALSE."/> <!-- 3d files -->    
+
+      <file_group id="5d" output_freq="5d"  output_level="10" enabled=".FALSE.">  <!-- 5d files -->   
+
+	<file id="5d_grid_T" name="auto" description="ocean T grid variables" >
+	  <field field_ref="toce"         name="thetao"   long_name="sea_water_potential_temperature"               />
+	  <field field_ref="soce"         name="so"       long_name="sea_water_salinity"                            />
+	  <field field_ref="sst"          name="tos"      long_name="sea_surface_temperature"                       />
+	  <field field_ref="sst2"         name="tossq"    long_name="square_of_sea_surface_temperature"             />
+	  <field field_ref="sss"          name="sos"      long_name="sea_surface_salinity"                          />
+	  <field field_ref="ssh"          name="zos"      long_name="sea_surface_height_above_geoid"                />
+	  <field field_ref="ssh2"         name="zossq"    long_name="square_of_sea_surface_height_above_geoid"      />
+	  <field field_ref="empmr"        name="wfo"      long_name="water_flux_into_sea_water"                     />
+	  <field field_ref="qsr"          name="rsntds"   long_name="surface_net_downward_shortwave_flux"           />
+	  <field field_ref="qt"           name="tohfls"   long_name="surface_net_downward_total_heat_flux"          />
+	  <field field_ref="taum"         />
+	  <field field_ref="mldkz5"       />
+	  <field field_ref="mldr10_1"     />
+	</file>
+	
+	<file id="5d_grid_U" name="auto" description="ocean U grid variables" >
+	  <field field_ref="uoce"         name="uo"      long_name="sea_water_x_velocity"      />
+	  <field field_ref="suoce"        name="uos"     long_name="sea_surface_x_velocity"    />
+	  <field field_ref="utau"         name="tauuo"   long_name="surface_downward_x_stress" />
+	</file>
+	
+	<file id="5d_grid_V" name="auto" description="ocean V grid variables" >
+	  <field field_ref="voce"         name="vo"      long_name="sea_water_y_velocity"      />
+	  <field field_ref="svoce"        name="vos"     long_name="sea_surface_y_velocity"    />
+	  <field field_ref="vtau"         name="tauvo"   long_name="surface_downward_y_stress" />
+	</file>
+	
+	<file id="5d_grid_W" name="auto" description="ocean W grid variables" >
+	  <field field_ref="woce"         name="wo"      long_name="ocean vertical velocity"         />
+	  <field field_ref="avt"          name="difvho"  long_name="ocean_vertical_heat_diffusivity" />
+	</file>
+	
+	<file id="5d_icemod" name="auto" description="ice variables" >
+	  <field field_ref="ice_pres"                     />
+	  <field field_ref="snowthic_cea" name="snd"     long_name="surface_snow_thickness"   />
+	  <field field_ref="icethic_cea"  name="sit"     long_name="sea_ice_thickness"        />
+	  <field field_ref="iceprod_cea"  name="sip"     long_name="sea_ice_thickness"        />
+	  <field field_ref="ist_ipa"      />
+	  <field field_ref="ioceflxb"     />
+	  <field field_ref="uice_ipa"     />
+	  <field field_ref="vice_ipa"     />
+	  <field field_ref="utau_ice"     />
+	  <field field_ref="vtau_ice"     />
+	  <field field_ref="qsr_io_cea"   />
+	  <field field_ref="qns_io_cea"   />
+	  <field field_ref="snowpre"      />
+	</file>
+	
+      </file_group>
+
+      <file_group id="1m" output_freq="1mo" output_level="10" enabled=".FALSE."/> <!-- real monthly files -->
+      <file_group id="2m" output_freq="2mo" output_level="10" enabled=".FALSE."/> <!-- real 2m files -->
+      <file_group id="3m" output_freq="3mo" output_level="10" enabled=".FALSE."/> <!-- real 3m files -->
+      <file_group id="4m" output_freq="4mo" output_level="10" enabled=".FALSE."/> <!-- real 4m files -->
+      <file_group id="6m" output_freq="6mo" output_level="10" enabled=".FALSE."/> <!-- real 6m files -->
+
+      <file_group id="1y"  output_freq="1y" output_level="10" enabled=".FALSE."/> <!-- real yearly files -->
+      <file_group id="2y"  output_freq="2y" output_level="10" enabled=".FALSE."/> <!-- real 2y files -->
+      <file_group id="5y"  output_freq="5y" output_level="10" enabled=".FALSE."/> <!-- real 5y files -->
+      <file_group id="10y" output_freq="10y" output_level="10" enabled=".FALSE."/> <!-- real 10y files -->
+
+   </file_definition>
+    
+    <!-- 
+============================================================================================================
+= grid definition = = DO NOT CHANGE =
+============================================================================================================
+    -->
+    
+   <axis_definition>  
+      <axis id="deptht" long_name="Vertical T levels" unit="m" positive="down" />
+      <axis id="depthu" long_name="Vertical U levels" unit="m" positive="down" />
+      <axis id="depthv" long_name="Vertical V levels" unit="m" positive="down" />
+      <axis id="depthw" long_name="Vertical W levels" unit="m" positive="down" />
+      <axis id="nfloat" long_name="Float number"      unit="-"  />
+   </axis_definition> 
+    
+   <domain_definition src="./domain_def.xml"/>
+   
+   <grid_definition>    
+     <grid id="grid_T_2D" domain_ref="grid_T"/>
+     <grid id="grid_T_3D" domain_ref="grid_T" axis_ref="deptht"/>
+     <grid id="grid_U_2D" domain_ref="grid_U"/>
+     <grid id="grid_U_3D" domain_ref="grid_U" axis_ref="depthu"/>
+     <grid id="grid_V_2D" domain_ref="grid_V"/>
+     <grid id="grid_V_3D" domain_ref="grid_V" axis_ref="depthv"/>
+     <grid id="grid_W_2D" domain_ref="grid_W"/>
+     <grid id="grid_W_3D" domain_ref="grid_W" axis_ref="depthw"/>
+    </grid_definition>   
+  </context>
+
+
   <context id="xios">
 
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/SETTE/param.cfg
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/SETTE/param.cfg	(revision 4043)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/SETTE/param.cfg	(revision 4044)
@@ -1,4 +1,4 @@
 #- forcing files storing 
-FORCING_DIR=~/FORCING
+FORCING_DIR=~/Documents/WORK/FORCING
 #- input files storing 
 INPUT_DIR=${CONFIG_DIR}/${NEW_CONF}/EXP00
@@ -6,3 +6,3 @@
 #TMPDIR=${CONFIG_DIR}/${NEW_CONF}/EXP00
 #- VALIDATION files storing 
-NEMO_VALIDATION_DIR=~/NEMO_VALIDATION
+NEMO_VALIDATION_DIR=~/Documents/WORK/NEMO_VALIDATION
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/SETTE/prepare_job.sh
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/SETTE/prepare_job.sh	(revision 4043)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/SETTE/prepare_job.sh	(revision 4044)
@@ -96,5 +96,4 @@
 # export EXE_DIR. This directory is used to execute model 
 #
-export EXE_DIR
 #
 #
@@ -112,39 +111,41 @@
 
 ################################################################
-# SET INPUT
+# SET INPUT 
 # get the input tarfile if needed
-tar_file=$(sed -ne "1,1p" ${SETTE_DIR}/$INPUTARFILE)
-if [ "$(cat ${SETTE_DIR}/$INPUTARFILE | grep -c ".tar" )" -ne 0 ] ; then
-	echo "looking for tar file" >> ${SETTE_DIR}/output.sette
-	echo "            " >> ${SETTE_DIR}/output.sette
-	cp ${FORCING_DIR}/${tar_file} ${INPUT_DIR}/.
-	echo "file in ${INPUT_DIR}"
-	if [ ! -f ${INPUT_DIR}/${tar_file} ] ; then 
-		echo "PROBLEM during copy of tar file" >> ${SETTE_DIR}/output.sette
-		echo "tar file IS NOT present in ${INPUT_DIR} directory " >> ${SETTE_DIR}/output.sette
-		echo "            " >> ${SETTE_DIR}/output.sette
-		echo "PROBLEM during copy of tar file" 
-		exit 1
-	else  
-		cd ${EXE_DIR} ; tar xvof ${INPUT_DIR}/*.tar ; gunzip -f *gz
-	fi
-fi 
-
-if [ ! -f ${EXE_DIR}/namelist_ice ] ; then 
-if [ -f ${EXE_DIR}/namelist_ice_lim2 ] ; then 
-   echo "choosing for namelist ice " >> ${SETTE_DIR}/output.sette
-   echo "            " >> ${SETTE_DIR}/output.sette
-   cp ${EXE_DIR}/namelist_ice_lim2 ${EXE_DIR}/namelist_ice
-elif  [ -f ${EXE_DIR}/namelist_ice_lim3 ] ; then 
-   cp ${EXE_DIR}/namelist_ice_lim3 ${EXE_DIR}/namelist_ice
-fi
-fi
-
-
-if [ "$(cat ${CONFIG_DIR}/${NEW_CONF}/cpp_${NEW_CONF}.fcm | grep -c "agrif" )" -ne 0 ] ; then
-	#- Namelist for ocean and ice (agrif fine grid)
-   	echo "choosing for namelist for AGRIF" >> ${SETTE_DIR}/output.sette
-   	echo "            " >> ${SETTE_DIR}/output.sette
-	cp ${EXE_DIR}/1_namelist_ice_lim2 ${EXE_DIR}/1_namelist_ice 
+if [ "$(cat ${SETTE_DIR}/$INPUTARFILE | wc -w)" -ne 0 ] ; then
+   echo "looking for input files in ${SETTE_DIR}/$INPUTARFILE " >> ${SETTE_DIR}/output.sette
+# number of tarfiles: NBTAR
+   NBTAR=`cat ${SETTE_DIR}/$INPUTARFILE |wc -l` 
+   echo "NB of tarfiles ${NBTAR} " >> ${SETTE_DIR}/output.sette
+# loop on tarfiles
+   for nbtar_file in ${NBTAR} ; do
+# read file name and directory in FORCING dir
+      read tar_file dir_conf_forc < ${SETTE_DIR}/$INPUTARFILE
+      echo looking for tarfile ${tar_file} and directory ${FORCING_DIR}/${dir_conf_forc} ; echo looking for tarfile ${tar_file} and directory ${FORCING_DIR}/${dir_conf_forc} >> ${SETTE_DIR}/output.sette
+      if [ -f ${FORCING_DIR}/${tar_file} ] && [ -d ${FORCING_DIR}/${dir_conf_forc} ] ; then
+# Tarfile and input dir ar there, only check the links
+         echo "Tarfile and input dir ar there, only check the links" >> ${SETTE_DIR}/output.sette
+# extract tarfile
+      else 
+
+if [ ! -f ${FORCING_DIR}/${tar_file} ] ; then  
+     echo "tarfile  ${FORCING_DIR}/${tar_file} cannot be found we stop " ; exit 2 ; fi 
+
+echo "mkdir ${FORCING_DIR}/${dir_conf_forc}" >> ${SETTE_DIR}/output.sette
+         mkdir ${FORCING_DIR}/${dir_conf_forc}  
+         cd    ${FORCING_DIR}/${dir_conf_forc}
+echo " extract from tarfile ${FORCING_DIR}/${tar_file} in  ${FORCING_DIR}/${dir_conf_forc}" >> ${SETTE_DIR}/output.sette
+         tar xvof ${FORCING_DIR}/${tar_file} ; gunzip -f `find . -name "*.gz"` 
+      fi
+# Tarfile and input dir ar there, only check the links
+      cd ${FORCING_DIR}/${dir_conf_forc}
+      for fida in *
+         do
+           [ -f ${EXE_DIR}/${fida} ] || ln -s ${FORCING_DIR}/${dir_conf_forc}/${fida} ${EXE_DIR}/${fida}
+         done
+    done
+
+else
+  echo "no input file to be searched "
 fi
 ################################################################
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/SETTE/sette.sh
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/SETTE/sette.sh	(revision 4043)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/SETTE/sette.sh	(revision 4044)
@@ -131,13 +131,13 @@
 #-
 # Compiler among those in NEMOGCM/ARCH
-COMPILER=PW6_VARGAS
+COMPILER=macport_osx
 export BATCH_COMMAND_PAR="llsubmit"
 export BATCH_COMMAND_SEQ=$BATCH_COMMAND_PAR
-export INTERACT_FLAG="no"
+export INTERACT_FLAG="yes"
 export MPIRUN_FLAG="yes"
 # IF YOU DON'T WANT TO USE XIOS : (this is a list of keys to be delete)
-export KEY_XIOS="key_iomput"
+#export KEY_XIOS="key_iomput"
 # IF YOU WANT TO USE XIOS :
-#export KEY_XIOS=""
+export KEY_XIOS=""
 
 
@@ -154,5 +154,6 @@
 cp BATCH_TEMPLATE/batch-${COMPILER} job_batch_template || exit
 
-for config in 1 2 3 4 5 6 7 8 9
+for config in 1 2 3 4 5 6 7 8 9 10 11
+
 do
 
@@ -161,6 +162,6 @@
     ## Restartability tests for GYRE
     export TEST_NAME="LONG"
-    cd ${SETTE_DIR}
-    . ../CONFIG/makenemo -m ${CMP_NAM} -n GYRE_LONG -r GYRE -j 8 add_key "key_mpp_mpi" del_key ${KEY_XIOS}
+    cd ${CONFIG_DIR}
+    . ./makenemo -m ${CMP_NAM} -n GYRE_LONG -r GYRE -j 8 add_key "key_mpp_mpi" del_key ${KEY_XIOS}
     cd ${SETTE_DIR}
     . param.cfg
@@ -170,15 +171,15 @@
     NPROC=4
     \rm ${JOB_FILE}
-    cd ${EXE_DIR}
-    set_namelist namelist cn_exp \"GYRE_LONG\"
-    set_namelist namelist nn_it000 1
-    set_namelist namelist nn_itend 120
-    set_namelist namelist nn_stock 60
-    set_namelist namelist ln_clobber .true.
-    set_namelist namelist nn_solv 2
-    set_namelist namelist jpni 2
-    set_namelist namelist jpnj 2
-    set_namelist namelist jpnij 4
-    cd ${SETTE_DIR}
+    cd ${EXE_DIR}  
+    set_namelist namelist_cfg cn_exp \"GYRE_LONG\"
+    set_namelist namelist_cfg nn_it000 1
+    set_namelist namelist_cfg nn_itend 120
+    set_namelist namelist_cfg nn_stock 60
+    set_namelist namelist_cfg ln_clobber .true.
+    set_namelist namelist_cfg nn_solv 2
+    set_namelist namelist_cfg jpni 2
+    set_namelist namelist_cfg jpnj 2
+    set_namelist namelist_cfg jpnij 4
+    cd ${SETTE_DIR} 
     . ./prepare_job.sh input_GYRE.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE}
 
@@ -187,16 +188,16 @@
     . prepare_exe_dir.sh
     cd ${EXE_DIR}
-    set_namelist namelist cn_exp \"GYRE_SHORT\"
-    set_namelist namelist nn_it000 61
-    set_namelist namelist nn_itend 120
-    set_namelist namelist nn_stock 60
-    set_namelist namelist ln_rstart .true.
-    set_namelist namelist nn_rstctl 2
-    set_namelist namelist ln_clobber .true.
-    set_namelist namelist nn_solv 2
-    set_namelist namelist jpni 2
-    set_namelist namelist jpnj 2
-    set_namelist namelist jpnij 4
-    set_namelist namelist cn_ocerst_in \"GYRE_LONG_00000060_restart\"
+    set_namelist namelist_cfg cn_exp \"GYRE_SHORT\"
+    set_namelist namelist_cfg nn_it000 61
+    set_namelist namelist_cfg nn_itend 120
+    set_namelist namelist_cfg nn_stock 60
+    set_namelist namelist_cfg ln_rstart .true.
+    set_namelist namelist_cfg nn_rstctl 2
+    set_namelist namelist_cfg ln_clobber .true.
+    set_namelist namelist_cfg nn_solv 2
+    set_namelist namelist_cfg jpni 2
+    set_namelist namelist_cfg jpnj 2
+    set_namelist namelist_cfg jpnij 4
+    set_namelist namelist_cfg cn_ocerst_in \"GYRE_LONG_00000060_restart\"
     for (( i=1; i<=$NPROC; i++)) ; do
         L_NPROC=$(( $i - 1 ))
@@ -213,6 +214,6 @@
     ## Reproducibility tests for GYRE
     export TEST_NAME="REPRO_1_4"
-    cd ${SETTE_DIR}
-    . ../CONFIG/makenemo -m ${CMP_NAM} -n GYRE_4 -r GYRE -j 8 add_key "key_mpp_mpi key_mpp_rep" del_key ${KEY_XIOS}
+    cd ${CONFIG_DIR}
+    . ./makenemo -m ${CMP_NAM} -n GYRE_4 -r GYRE -j 8 add_key "key_mpp_mpi key_mpp_rep" del_key ${KEY_XIOS}
     cd ${SETTE_DIR}
     . param.cfg
@@ -223,15 +224,15 @@
     \rm ${JOB_FILE}
     cd ${EXE_DIR}
-    set_namelist namelist cn_exp \"GYRE_14\"
-    set_namelist namelist nn_it000 1
-    set_namelist namelist nn_itend 60
-    set_namelist namelist nn_fwb 0
-    set_namelist namelist nn_bench 0
-    set_namelist namelist ln_ctl .false.
-    set_namelist namelist ln_clobber .true.
-    set_namelist namelist nn_solv 2
-    set_namelist namelist jpni 1
-    set_namelist namelist jpnj 4
-    set_namelist namelist jpnij 4
+    set_namelist namelist_cfg cn_exp \"GYRE_14\"
+    set_namelist namelist_cfg nn_it000 1
+    set_namelist namelist_cfg nn_itend 60
+    set_namelist namelist_cfg nn_fwb 0
+    set_namelist namelist_cfg nn_bench 0
+    set_namelist namelist_cfg ln_ctl .false.
+    set_namelist namelist_cfg ln_clobber .true.
+    set_namelist namelist_cfg nn_solv 2
+    set_namelist namelist_cfg jpni 1
+    set_namelist namelist_cfg jpnj 4
+    set_namelist namelist_cfg jpnij 4
     cd ${SETTE_DIR}
     . ./prepare_job.sh input_GYRE.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE}
@@ -246,14 +247,14 @@
     \rm $JOB_FILE
     cd ${EXE_DIR}
-    set_namelist namelist cn_exp \"GYRE_22\"
-    set_namelist namelist nn_it000 1
-    set_namelist namelist nn_itend 60
-    set_namelist namelist nn_fwb 0
-    set_namelist namelist ln_ctl .false.
-    set_namelist namelist ln_clobber .true.
-    set_namelist namelist nn_solv 2
-    set_namelist namelist jpni 2
-    set_namelist namelist jpnj 2
-    set_namelist namelist jpnij 4
+    set_namelist namelist_cfg cn_exp \"GYRE_22\"
+    set_namelist namelist_cfg nn_it000 1
+    set_namelist namelist_cfg nn_itend 60
+    set_namelist namelist_cfg nn_fwb 0
+    set_namelist namelist_cfg ln_ctl .false.
+    set_namelist namelist_cfg ln_clobber .true.
+    set_namelist namelist_cfg nn_solv 2
+    set_namelist namelist_cfg jpni 2
+    set_namelist namelist_cfg jpnj 2
+    set_namelist namelist_cfg jpnij 4
     cd ${SETTE_DIR}
     . ./prepare_job.sh input_GYRE.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE}
@@ -267,6 +268,6 @@
     ## Restartability tests for ORCA2_LIM_PISCES
     export TEST_NAME="LONG"
-    cd ${SETTE_DIR}
-    . ../CONFIG/makenemo -m ${CMP_NAM} -n ORCA2LIMPIS_LONG -r ORCA2_LIM_PISCES -j 8 add_key "key_mpp_mpi" del_key ${KEY_XIOS}
+    cd ${CONFIG_DIR}
+    . ./makenemo -m ${CMP_NAM} -n ORCA2LIMPIS_LONG -r ORCA2_LIM_PISCES -j 8 add_key "key_mpp_mpi" del_key ${KEY_XIOS}
     cd ${SETTE_DIR}
     . param.cfg
@@ -277,25 +278,25 @@
     \rm ${JOB_FILE}
     cd ${EXE_DIR}
-    set_namelist namelist cn_exp \"O2LP_LONG\"
-    set_namelist namelist nn_it000 1
-    set_namelist namelist nn_itend 150
-    set_namelist namelist nn_stock 75
-    set_namelist namelist ln_clobber .true.
-    set_namelist namelist jpni 2
-    set_namelist namelist jpnj 2
-    set_namelist namelist jpnij 4
-    set_namelist namelist nn_solv 2
-    set_namelist namelist_top ln_trcdta .false.
-    set_namelist namelist_top ln_diatrc .false.
+    set_namelist namelist_cfg cn_exp \"O2LP_LONG\"
+    set_namelist namelist_cfg nn_it000 1
+    set_namelist namelist_cfg nn_itend 150
+    set_namelist namelist_cfg nn_stock 75
+    set_namelist namelist_cfg ln_clobber .true.
+    set_namelist namelist_cfg jpni 2
+    set_namelist namelist_cfg jpnj 2
+    set_namelist namelist_cfg jpnij 4
+    set_namelist namelist_cfg nn_solv 2
+    set_namelist namelist_top_cfg ln_trcdta .false.
+    set_namelist namelist_top_cfg ln_diatrc .false.
     # put ln_ironsed, ln_river, ln_ndepo, ln_dust to false
     # if not you need input files, and for tests is not necessary
-    set_namelist namelist_pisces ln_presatm .false.
-    set_namelist namelist_pisces ln_varpar .false.
-    set_namelist namelist_pisces ln_dust .false.
-    set_namelist namelist_pisces ln_solub .false.
-    set_namelist namelist_pisces ln_river .false.
-    set_namelist namelist_pisces ln_ndepo .false.
-    set_namelist namelist_pisces ln_ironsed .false.
-    set_namelist namelist_pisces ln_hydrofe .false.
+    set_namelist namelist_pisces_cfg ln_presatm .false.
+    set_namelist namelist_pisces_cfg ln_varpar .false.
+    set_namelist namelist_pisces_cfg ln_dust .false.
+    set_namelist namelist_pisces_cfg ln_solub .false.
+    set_namelist namelist_pisces_cfg ln_river .false.
+    set_namelist namelist_pisces_cfg ln_ndepo .false.
+    set_namelist namelist_pisces_cfg ln_ironsed .false.
+    set_namelist namelist_pisces_cfg ln_hydrofe .false.
     cd ${SETTE_DIR}
     . ./prepare_job.sh input_ORCA2_LIM_PISCES.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE}
@@ -305,33 +306,33 @@
     . prepare_exe_dir.sh
     cd ${EXE_DIR}
-    set_namelist namelist cn_exp \"O2LP_SHORT\"
-    set_namelist namelist nn_it000 76
-    set_namelist namelist nn_itend 150
-    set_namelist namelist nn_stock 75
-    set_namelist namelist ln_rstart .true.
-    set_namelist namelist nn_rstctl 2
-    set_namelist namelist ln_clobber .true.
-    set_namelist namelist jpni 2
-    set_namelist namelist jpnj 2
-    set_namelist namelist jpnij 4
-    set_namelist namelist nn_solv 2
-    set_namelist namelist_top ln_diatrc .false.
-    set_namelist namelist_top ln_rsttr .true.
-    set_namelist namelist_top nn_rsttr 2
-    set_namelist namelist cn_ocerst_in \"O2LP_LONG_00000075_restart\"
-    set_namelist namelist_ice cn_icerst_in \"O2LP_LONG_00000075_restart_ice\"
-    set_namelist namelist_top cn_trcrst_in \"O2LP_LONG_00000075_restart_trc\"
+    set_namelist namelist_cfg cn_exp \"O2LP_SHORT\"
+    set_namelist namelist_cfg nn_it000 76
+    set_namelist namelist_cfg nn_itend 150
+    set_namelist namelist_cfg nn_stock 75
+    set_namelist namelist_cfg ln_rstart .true.
+    set_namelist namelist_cfg nn_rstctl 2
+    set_namelist namelist_cfg ln_clobber .true.
+    set_namelist namelist_cfg jpni 2
+    set_namelist namelist_cfg jpnj 2
+    set_namelist namelist_cfg jpnij 4
+    set_namelist namelist_cfg nn_solv 2
+    set_namelist namelist_top_cfg ln_diatrc .false.
+    set_namelist namelist_top_cfg ln_rsttr .true.
+    set_namelist namelist_top_cfg nn_rsttr 2
+    set_namelist namelist_cfg cn_ocerst_in \"O2LP_LONG_00000075_restart\"
+    set_namelist namelist_ice_cfg cn_icerst_in \"O2LP_LONG_00000075_restart_ice\"
+    set_namelist namelist_top_cfg cn_trcrst_in \"O2LP_LONG_00000075_restart_trc\"
     # put ln_ironsed, ln_river, ln_ndepo, ln_dust
     # if not you need input files, and for tests is not necessary
-    set_namelist namelist_pisces ln_presatm .false.
-    set_namelist namelist_pisces ln_varpar .false.
-    set_namelist namelist_pisces ln_dust .false.
-    set_namelist namelist_pisces ln_solub .false.
-    set_namelist namelist_pisces ln_river .false.
-    set_namelist namelist_pisces ln_ndepo .false.
-    set_namelist namelist_pisces ln_ironsed .false.
-    set_namelist namelist_pisces ln_hydrofe .false.
+    set_namelist namelist_pisces_cfg ln_presatm .false.
+    set_namelist namelist_pisces_cfg ln_varpar .false.
+    set_namelist namelist_pisces_cfg ln_dust .false.
+    set_namelist namelist_pisces_cfg ln_solub .false.
+    set_namelist namelist_pisces_cfg ln_river .false.
+    set_namelist namelist_pisces_cfg ln_ndepo .false.
+    set_namelist namelist_pisces_cfg ln_ironsed .false.
+    set_namelist namelist_pisces_cfg ln_hydrofe .false.
     # put ln_pisdmp to false : no restoring to global mean value
-    set_namelist namelist_pisces ln_pisdmp .false.
+    set_namelist namelist_pisces_cfg ln_pisdmp .false.
     for (( i=1; i<=$NPROC; i++)) ; do
         L_NPROC=$(( $i - 1 ))
@@ -350,6 +351,6 @@
     ## Reproducibility tests for ORCA2_LIM_PISCES
     export TEST_NAME="REPRO_4_4"
-    cd ${SETTE_DIR}
-    . ../CONFIG/makenemo -m ${CMP_NAM} -n ORCA2LIMPIS_16 -r ORCA2_LIM_PISCES -j 8 add_key "key_mpp_mpi key_mpp_rep" del_key ${KEY_XIOS}
+    cd ${CONFIG_DIR}
+    . ./makenemo -m ${CMP_NAM} -n ORCA2LIMPIS_16 -r ORCA2_LIM_PISCES -j 8 add_key "key_mpp_mpi key_mpp_rep" del_key ${KEY_XIOS}
     cd ${SETTE_DIR}
     . param.cfg
@@ -360,27 +361,27 @@
     \rm $JOB_FILE
     cd ${EXE_DIR}
-    set_namelist namelist nn_it000 1
-    set_namelist namelist nn_itend 75
-    set_namelist namelist nn_fwb 0
-    set_namelist namelist ln_ctl .false.
-    set_namelist namelist ln_clobber .true.
-    set_namelist namelist jpni 4
-    set_namelist namelist jpnj 4
-    set_namelist namelist jpnij 16
-    set_namelist namelist nn_solv 2
-    set_namelist namelist_top ln_trcdta .false.
-    set_namelist namelist_top ln_diatrc .false.
+    set_namelist namelist_cfg nn_it000 1
+    set_namelist namelist_cfg nn_itend 75
+    set_namelist namelist_cfg nn_fwb 0
+    set_namelist namelist_cfg ln_ctl .false.
+    set_namelist namelist_cfg ln_clobber .true.
+    set_namelist namelist_cfg jpni 4
+    set_namelist namelist_cfg jpnj 4
+    set_namelist namelist_cfg jpnij 16
+    set_namelist namelist_cfg nn_solv 2
+    set_namelist namelist_top_cfg ln_trcdta .false.
+    set_namelist namelist_top_cfg ln_diatrc .false.
     # put ln_ironsed, ln_river, ln_ndepo, ln_dust to false
     # if not you need input files, and for tests is not necessary
-    set_namelist namelist_pisces ln_presatm .false.
-    set_namelist namelist_pisces ln_varpar .false.
-    set_namelist namelist_pisces ln_dust .false.
-    set_namelist namelist_pisces ln_solub .false.
-    set_namelist namelist_pisces ln_river .false.
-    set_namelist namelist_pisces ln_ndepo .false.
-    set_namelist namelist_pisces ln_ironsed .false.
-    set_namelist namelist_pisces ln_hydrofe .false.
+    set_namelist namelist_pisces_cfg ln_presatm .false.
+    set_namelist namelist_pisces_cfg ln_varpar .false.
+    set_namelist namelist_pisces_cfg ln_dust .false.
+    set_namelist namelist_pisces_cfg ln_solub .false.
+    set_namelist namelist_pisces_cfg ln_river .false.
+    set_namelist namelist_pisces_cfg ln_ndepo .false.
+    set_namelist namelist_pisces_cfg ln_ironsed .false.
+    set_namelist namelist_pisces_cfg ln_hydrofe .false.
     # put ln_pisdmp to false : no restoring to global mean value
-    set_namelist namelist_pisces ln_pisdmp .false.
+    set_namelist namelist_pisces_cfg ln_pisdmp .false.
     cd ${SETTE_DIR}
     . ./prepare_job.sh input_ORCA2_LIM_PISCES.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE}
@@ -395,26 +396,26 @@
     \rm $JOB_FILE
     cd ${EXE_DIR}
-    set_namelist namelist nn_it000 1
-    set_namelist namelist nn_itend 75
-    set_namelist namelist nn_fwb 0
-    set_namelist namelist ln_clobber .true.
-    set_namelist namelist jpni 2
-    set_namelist namelist jpnj 8
-    set_namelist namelist jpnij 16
-    set_namelist namelist nn_solv 2
-    set_namelist namelist_top ln_trcdta .false.
-    set_namelist namelist_top ln_diatrc .false.
+    set_namelist namelist_cfg nn_it000 1
+    set_namelist namelist_cfg nn_itend 75
+    set_namelist namelist_cfg nn_fwb 0
+    set_namelist namelist_cfg ln_clobber .true.
+    set_namelist namelist_cfg jpni 2
+    set_namelist namelist_cfg jpnj 8
+    set_namelist namelist_cfg jpnij 16
+    set_namelist namelist_cfg nn_solv 2
+    set_namelist namelist_top_cfg ln_trcdta .false.
+    set_namelist namelist_top_cfg ln_diatrc .false.
     # put ln_ironsed, ln_river, ln_ndepo, ln_dust to false
     # if not you need input files, and for tests is not necessary
-    set_namelist namelist_pisces ln_presatm .false.
-    set_namelist namelist_pisces ln_varpar .false.
-    set_namelist namelist_pisces ln_dust .false.
-    set_namelist namelist_pisces ln_solub .false.
-    set_namelist namelist_pisces ln_river .false.
-    set_namelist namelist_pisces ln_ndepo .false.
-    set_namelist namelist_pisces ln_ironsed .false.
-    set_namelist namelist_pisces ln_hydrofe .false.
+    set_namelist namelist_pisces_cfg ln_presatm .false.
+    set_namelist namelist_pisces_cfg ln_varpar .false.
+    set_namelist namelist_pisces_cfg ln_dust .false.
+    set_namelist namelist_pisces_cfg ln_solub .false.
+    set_namelist namelist_pisces_cfg ln_river .false.
+    set_namelist namelist_pisces_cfg ln_ndepo .false.
+    set_namelist namelist_pisces_cfg ln_ironsed .false.
+    set_namelist namelist_pisces_cfg ln_hydrofe .false.
     # put ln_pisdmp to false : no restoring to global mean value
-    set_namelist namelist_pisces ln_pisdmp .false.
+    set_namelist namelist_pisces_cfg ln_pisdmp .false.
     cd ${SETTE_DIR}
     . ./prepare_job.sh input_ORCA2_LIM_PISCES.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE}
@@ -427,6 +428,6 @@
     ## Restartability tests for ORCA2_OFF_PISCES
     export TEST_NAME="LONG"
-    cd ${SETTE_DIR}
-    . ../CONFIG/makenemo -m ${CMP_NAM} -n ORCA2OFFPIS_LONG -r ORCA2_OFF_PISCES -j 8 add_key "key_mpp_mpi key_mpp_rep" del_key ${KEY_XIOS}
+    cd ${CONFIG_DIR}
+    . ./makenemo -m ${CMP_NAM} -n ORCA2OFFPIS_LONG -r ORCA2_OFF_PISCES -j 8 add_key "key_mpp_mpi key_mpp_rep" del_key ${KEY_XIOS}
     cd ${SETTE_DIR}
     . param.cfg
@@ -437,26 +438,26 @@
     \rm $JOB_FILE
     cd ${EXE_DIR}
-    set_namelist namelist cn_exp \"OFFP_LONG\"
-    set_namelist namelist nn_it000 1
-    set_namelist namelist nn_itend 40
-    set_namelist namelist nn_stock 20
-    set_namelist namelist ln_clobber .true.
-    set_namelist namelist jpni 2
-    set_namelist namelist jpnj 2
-    set_namelist namelist jpnij 4
-    set_namelist namelist_top ln_trcdta .false.
-    set_namelist namelist_top ln_diatrc .false.
+    set_namelist namelist_cfg cn_exp \"OFFP_LONG\"
+    set_namelist namelist_cfg nn_it000 1
+    set_namelist namelist_cfg nn_itend 40
+    set_namelist namelist_cfg nn_stock 20
+    set_namelist namelist_cfg ln_clobber .true.
+    set_namelist namelist_cfg jpni 2
+    set_namelist namelist_cfg jpnj 2
+    set_namelist namelist_cfg jpnij 4
+    set_namelist namelist_top_cfg ln_trcdta .false.
+    set_namelist namelist_top_cfg ln_diatrc .false.
     # put ln_ironsed, ln_river, ln_ndepo, ln_dust to false
     # if not you need input files, and for tests is not necessary
-    set_namelist namelist_pisces ln_presatm .false.
-    set_namelist namelist_pisces ln_varpar .false.
-    set_namelist namelist_pisces ln_dust .false.
-    set_namelist namelist_pisces ln_solub .false.
-    set_namelist namelist_pisces ln_river .false.
-    set_namelist namelist_pisces ln_ndepo .false.
-    set_namelist namelist_pisces ln_ironsed .false.
-    set_namelist namelist_pisces ln_hydrofe .false.
+    set_namelist namelist_pisces_cfg ln_presatm .false.
+    set_namelist namelist_pisces_cfg ln_varpar .false.
+    set_namelist namelist_pisces_cfg ln_dust .false.
+    set_namelist namelist_pisces_cfg ln_solub .false.
+    set_namelist namelist_pisces_cfg ln_river .false.
+    set_namelist namelist_pisces_cfg ln_ndepo .false.
+    set_namelist namelist_pisces_cfg ln_ironsed .false.
+    set_namelist namelist_pisces_cfg ln_hydrofe .false.
     # put ln_pisdmp to false : no restoring to global mean value
-    set_namelist namelist_pisces ln_pisdmp .false.
+    set_namelist namelist_pisces_cfg ln_pisdmp .false.
     cd ${SETTE_DIR}
     . ./prepare_job.sh input_ORCA2_OFF_PISCES.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE}
@@ -466,16 +467,16 @@
     . prepare_exe_dir.sh
     cd ${EXE_DIR}
-    set_namelist namelist cn_exp \"OFFP_SHORT\"
-    set_namelist namelist nn_it000 21
-    set_namelist namelist nn_itend 40
-    set_namelist namelist nn_stock 20
-    set_namelist namelist ln_clobber .true.
-    set_namelist namelist jpni 2
-    set_namelist namelist jpnj 2
-    set_namelist namelist jpnij 4
-    set_namelist namelist_top ln_diatrc .false.
-    set_namelist namelist_top ln_rsttr .true.
-    set_namelist namelist_top nn_rsttr 2
-    set_namelist namelist_top cn_trcrst_in \"OFFP_LONG_00000020_restart_trc\"
+    set_namelist namelist_cfg cn_exp \"OFFP_SHORT\"
+    set_namelist namelist_cfg nn_it000 21
+    set_namelist namelist_cfg nn_itend 40
+    set_namelist namelist_cfg nn_stock 20
+    set_namelist namelist_cfg ln_clobber .true.
+    set_namelist namelist_cfg jpni 2
+    set_namelist namelist_cfg jpnj 2
+    set_namelist namelist_cfg jpnij 4
+    set_namelist namelist_top_cfg ln_diatrc .false.
+    set_namelist namelist_top_cfg ln_rsttr .true.
+    set_namelist namelist_top_cfg nn_rsttr 2
+    set_namelist namelist_top_cfg cn_trcrst_in \"OFFP_LONG_00000020_restart_trc\"
     for (( i=1; i<=$NPROC; i++)) ; do
         L_NPROC=$(( $i - 1 ))
@@ -485,14 +486,14 @@
     # put ln_ironsed, ln_river, ln_ndepo, ln_dust
     # if not you need input files, and for tests is not necessary
-    set_namelist namelist_pisces ln_presatm .false.
-    set_namelist namelist_pisces ln_varpar .false.
-    set_namelist namelist_pisces ln_dust .false.
-    set_namelist namelist_pisces ln_solub .false.
-    set_namelist namelist_pisces ln_river .false.
-    set_namelist namelist_pisces ln_ndepo .false.
-    set_namelist namelist_pisces ln_ironsed .false.
-    set_namelist namelist_pisces ln_hydrofe .false.
+    set_namelist namelist_pisces_cfg ln_presatm .false.
+    set_namelist namelist_pisces_cfg ln_varpar .false.
+    set_namelist namelist_pisces_cfg ln_dust .false.
+    set_namelist namelist_pisces_cfg ln_solub .false.
+    set_namelist namelist_pisces_cfg ln_river .false.
+    set_namelist namelist_pisces_cfg ln_ndepo .false.
+    set_namelist namelist_pisces_cfg ln_ironsed .false.
+    set_namelist namelist_pisces_cfg ln_hydrofe .false.
     # put ln_pisdmp to false : no restoring to global mean value
-    set_namelist namelist_pisces ln_pisdmp .false.
+    set_namelist namelist_pisces_cfg ln_pisdmp .false.
     cd ${SETTE_DIR}
     . ./prepare_job.sh input_ORCA2_OFF_PISCES.cfg $NPROC ${TEST_NAME}  ${MPIRUN_FLAG} ${JOB_FILE}
@@ -504,6 +505,6 @@
     ## Reproducibility tests for ORCA2_OFF_PISCES
     export TEST_NAME="REPRO_4_4"
-    cd ${SETTE_DIR}
-    . ../CONFIG/makenemo -m ${CMP_NAM} -n ORCA2OFFPIS_16 -r ORCA2_OFF_PISCES -j 8 add_key "key_mpp_mpi key_mpp_rep" del_key ${KEY_XIOS}
+    cd ${CONFIG_DIR}
+    . ./makenemo -m ${CMP_NAM} -n ORCA2OFFPIS_16 -r ORCA2_OFF_PISCES -j 8 add_key "key_mpp_mpi key_mpp_rep" del_key ${KEY_XIOS}
     cd ${SETTE_DIR}
     . param.cfg
@@ -514,25 +515,25 @@
     \rm $JOB_FILE
     cd ${EXE_DIR}
-    set_namelist namelist nn_it000 1
-    set_namelist namelist nn_itend 40
-    set_namelist namelist ln_ctl .false.
-    set_namelist namelist ln_clobber .true.
-    set_namelist namelist jpni 4
-    set_namelist namelist jpnj 4
-    set_namelist namelist jpnij 16
-    set_namelist namelist_top ln_trcdta .false.
-    set_namelist namelist_top ln_diatrc .false.
+    set_namelist namelist_cfg nn_it000 1
+    set_namelist namelist_cfg nn_itend 40
+    set_namelist namelist_cfg ln_ctl .false.
+    set_namelist namelist_cfg ln_clobber .true.
+    set_namelist namelist_cfg jpni 4
+    set_namelist namelist_cfg jpnj 4
+    set_namelist namelist_cfg jpnij 16
+    set_namelist namelist_top_cfg ln_trcdta .false.
+    set_namelist namelist_top_cfg ln_diatrc .false.
     # put ln_ironsed, ln_river, ln_ndepo, ln_dust to false
     # if not you need input files, and for tests is not necessary
-    set_namelist namelist_pisces ln_presatm .false.
-    set_namelist namelist_pisces ln_varpar .false.
-    set_namelist namelist_pisces ln_dust .false.
-    set_namelist namelist_pisces ln_solub .false.
-    set_namelist namelist_pisces ln_river .false.
-    set_namelist namelist_pisces ln_ndepo .false.
-    set_namelist namelist_pisces ln_ironsed .false.
-    set_namelist namelist_pisces ln_hydrofe .false.
+    set_namelist namelist_pisces_cfg ln_presatm .false.
+    set_namelist namelist_pisces_cfg ln_varpar .false.
+    set_namelist namelist_pisces_cfg ln_dust .false.
+    set_namelist namelist_pisces_cfg ln_solub .false.
+    set_namelist namelist_pisces_cfg ln_river .false.
+    set_namelist namelist_pisces_cfg ln_ndepo .false.
+    set_namelist namelist_pisces_cfg ln_ironsed .false.
+    set_namelist namelist_pisces_cfg ln_hydrofe .false.
     # put ln_pisdmp to false : no restoring to global mean value
-    set_namelist namelist_pisces ln_pisdmp .false.
+    set_namelist namelist_pisces_cfg ln_pisdmp .false.
     cd ${SETTE_DIR}
     . ./prepare_job.sh input_ORCA2_OFF_PISCES.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE}
@@ -547,25 +548,25 @@
     \rm $JOB_FILE
     cd ${EXE_DIR}
-    set_namelist namelist nn_it000 1
-    set_namelist namelist nn_itend 40
-    set_namelist namelist ln_ctl .false.
-    set_namelist namelist ln_clobber .true.
-    set_namelist namelist jpni 2
-    set_namelist namelist jpnj 8
-    set_namelist namelist jpnij 16
-    set_namelist namelist_top ln_trcdta .false.
-    set_namelist namelist_top ln_diatrc .false.
+    set_namelist namelist_cfg nn_it000 1
+    set_namelist namelist_cfg nn_itend 40
+    set_namelist namelist_cfg ln_ctl .false.
+    set_namelist namelist_cfg ln_clobber .true.
+    set_namelist namelist_cfg jpni 2
+    set_namelist namelist_cfg jpnj 8
+    set_namelist namelist_cfg jpnij 16
+    set_namelist namelist_top_cfg ln_trcdta .false.
+    set_namelist namelist_top_cfg ln_diatrc .false.
     # put ln_ironsed, ln_river, ln_ndepo, ln_dust to false
     # if not you need input files, and for tests is not necessary
-    set_namelist namelist_pisces ln_presatm .false.
-    set_namelist namelist_pisces ln_varpar .false.
-    set_namelist namelist_pisces ln_dust .false.
-    set_namelist namelist_pisces ln_solub .false.
-    set_namelist namelist_pisces ln_river .false.
-    set_namelist namelist_pisces ln_ndepo .false.
-    set_namelist namelist_pisces ln_ironsed .false.
-    set_namelist namelist_pisces ln_hydrofe .false.
+    set_namelist namelist_pisces_cfg ln_presatm .false.
+    set_namelist namelist_pisces_cfg ln_varpar .false.
+    set_namelist namelist_pisces_cfg ln_dust .false.
+    set_namelist namelist_pisces_cfg ln_solub .false.
+    set_namelist namelist_pisces_cfg ln_river .false.
+    set_namelist namelist_pisces_cfg ln_ndepo .false.
+    set_namelist namelist_pisces_cfg ln_ironsed .false.
+    set_namelist namelist_pisces_cfg ln_hydrofe .false.
     # put ln_pisdmp to false : no restoring to global mean value
-    set_namelist namelist_pisces ln_pisdmp .false. 
+    set_namelist namelist_pisces_cfg ln_pisdmp .false. 
     cd ${SETTE_DIR}
     . ./prepare_job.sh input_ORCA2_OFF_PISCES.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE}
@@ -578,6 +579,6 @@
     ## Restartability tests for AMM12
     export TEST_NAME="LONG"
-    cd ${SETTE_DIR}
-    . ../CONFIG/makenemo -m ${CMP_NAM} -n AMM12_LONG -r AMM12 -j 8 add_key "key_tide" del_key ${KEY_XIOS}
+    cd ${CONFIG_DIR}
+    . ./makenemo -m ${CMP_NAM} -n AMM12_LONG -r AMM12 -j 8 add_key "key_tide" del_key ${KEY_XIOS}
     cd ${SETTE_DIR}
     . param.cfg
@@ -588,16 +589,17 @@
     \rm $JOB_FILE
     cd ${EXE_DIR}
-    set_namelist namelist nn_it000 1
-    set_namelist namelist nn_itend 12
-    set_namelist namelist nn_stock 6
-    set_namelist namelist nn_fwb 0
-    set_namelist namelist ln_ctl .false.
-    set_namelist namelist ln_clobber .true.
-    set_namelist namelist nn_dyn2d 2
-    set_namelist namelist nn_tra_dta 0
-    set_namelist namelist cn_ocerst_in \"amm12.restart_20070101\"
-    set_namelist namelist jpni 8
-    set_namelist namelist jpnj 4
-    set_namelist namelist jpnij 32
+    set_namelist namelist_cfg nn_it000 1
+    set_namelist namelist_cfg nn_itend 12
+    set_namelist namelist_cfg nn_stock 6
+    set_namelist namelist_cfg nn_fwb 0
+    set_namelist namelist_cfg ln_ctl .false.
+    set_namelist namelist_cfg ln_clobber .true.
+    set_namelist namelist_cfg nn_dyn2d 2
+    set_namelist namelist_cfg nn_tra_dta 0
+    set_namelist namelist_cfg cn_ocerst_in \"amm12_restart_oce\"
+ln -s restarts/amm12_restart_oce.nc amm12_restart_oce.nc
+    set_namelist namelist_cfg jpni 8
+    set_namelist namelist_cfg jpnj 4
+    set_namelist namelist_cfg jpnij 32
     cd ${SETTE_DIR}
     . ./prepare_job.sh input_AMM12.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE}
@@ -607,21 +609,21 @@
     . prepare_exe_dir.sh
     cd ${EXE_DIR}
-    set_namelist namelist nn_it000 7
-    set_namelist namelist nn_itend 12
-    set_namelist namelist nn_fwb 0
-    set_namelist namelist ln_ctl .false.
-    set_namelist namelist ln_clobber .true.
-    set_namelist namelist nn_dyn2d 2
-    set_namelist namelist nn_tra_dta 0
-    set_namelist namelist jpni 8
-    set_namelist namelist jpnj 4
-    set_namelist namelist jpnij 32
-    set_namelist namelist ln_rstart .true.
-    set_namelist namelist nn_rstctl 2
-    set_namelist namelist cn_ocerst_in \"AMM12_00000006_restart\"
+    set_namelist namelist_cfg nn_it000 7
+    set_namelist namelist_cfg nn_itend 12
+    set_namelist namelist_cfg nn_fwb 0
+    set_namelist namelist_cfg ln_ctl .false.
+    set_namelist namelist_cfg ln_clobber .true.
+    set_namelist namelist_cfg nn_dyn2d 2
+    set_namelist namelist_cfg nn_tra_dta 0
+    set_namelist namelist_cfg jpni 8
+    set_namelist namelist_cfg jpnj 4
+    set_namelist namelist_cfg jpnij 32
+    set_namelist namelist_cfg ln_rstart .true.
+    set_namelist namelist_cfg nn_rstctl 2
+    set_namelist namelist_cfg cn_ocerst_in \"AMM12_00000006_restart_oce_out\"
     for (( i=1; i<=$NPROC; i++)) ; do
         L_NPROC=$(( $i - 1 ))
         L_NPROC=`printf "%04d\n" ${L_NPROC}`
-        ln -sf ../LONG/AMM12_00000006_restart_${L_NPROC}.nc .
+        ln -sf ../LONG/AMM12_00000006_restart_oce_out_${L_NPROC}.nc .
     done
     cd ${SETTE_DIR}
@@ -634,6 +636,6 @@
 ## Reproducibility tests for AMM12
     export TEST_NAME="REPRO_8_4"
-    cd ${SETTE_DIR}
-    . ../CONFIG/makenemo -m ${CMP_NAM} -n AMM12_32 -r AMM12 -j 8 add_key "key_mpp_rep key_tide" del_key ${KEY_XIOS}
+    cd ${CONFIG_DIR}
+    . ./makenemo -m ${CMP_NAM} -n AMM12_32 -r AMM12 -j 8 add_key "key_mpp_rep key_tide" del_key ${KEY_XIOS}  
     cd ${SETTE_DIR}
     . param.cfg
@@ -644,15 +646,15 @@
     \rm ${JOB_FILE}
     cd ${EXE_DIR}
-    set_namelist namelist nn_it000 1
-    set_namelist namelist nn_itend 576
-    set_namelist namelist nn_fwb 0
-    set_namelist namelist ln_ctl .false.
-    set_namelist namelist ln_clobber .true.
-    set_namelist namelist nn_dyn2d 2
-    set_namelist namelist nn_tra_dta 0
-    set_namelist namelist cn_ocerst_in \"amm12.restart_20070101\"
-    set_namelist namelist jpni 8
-    set_namelist namelist jpnj 4
-    set_namelist namelist jpnij 32
+    set_namelist namelist_cfg nn_it000 1
+    set_namelist namelist_cfg nn_itend 576
+    set_namelist namelist_cfg nn_fwb 0
+    set_namelist namelist_cfg ln_ctl .false.
+    set_namelist namelist_cfg ln_clobber .true.
+    set_namelist namelist_cfg nn_dyn2d 2
+    set_namelist namelist_cfg nn_tra_dta 0
+    set_namelist namelist_cfg cn_ocerst_in \"amm12_restart_oce\"
+    set_namelist namelist_cfg jpni 8
+    set_namelist namelist_cfg jpnj 4
+    set_namelist namelist_cfg jpnij 32
     cd ${SETTE_DIR}
     . ./prepare_job.sh input_AMM12.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE}
@@ -664,15 +666,15 @@
     . prepare_exe_dir.sh
     cd ${EXE_DIR}
-    set_namelist namelist nn_it000 1
-    set_namelist namelist nn_itend 576
-    set_namelist namelist nn_fwb 0
-    set_namelist namelist ln_ctl .false.
-    set_namelist namelist nn_dyn2d 2
-    set_namelist namelist nn_tra_dta 0
-    set_namelist namelist ln_clobber .true.
-    set_namelist namelist cn_ocerst_in \"amm12.restart_20070101\"
-    set_namelist namelist jpni 4
-    set_namelist namelist jpnj 8
-    set_namelist namelist jpnij 32
+    set_namelist namelist_cfg nn_it000 1
+    set_namelist namelist_cfg nn_itend 576
+    set_namelist namelist_cfg nn_fwb 0
+    set_namelist namelist_cfg ln_ctl .false.
+    set_namelist namelist_cfg nn_dyn2d 2
+    set_namelist namelist_cfg nn_tra_dta 0
+    set_namelist namelist_cfg ln_clobber .true.
+    set_namelist namelist_cfg cn_ocerst_in \"amm12_restart_oce\"
+    set_namelist namelist_cfg jpni 4
+    set_namelist namelist_cfg jpnj 8
+    set_namelist namelist_cfg jpnij 32
     cd ${SETTE_DIR}
     . ./prepare_job.sh input_AMM12.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE}
@@ -685,6 +687,6 @@
     ## ORCA2_LIM with Agulhas AGRIF zoom in MPI
     export TEST_NAME="SHORT"
-    cd ${SETTE_DIR}
-    . ../CONFIG/makenemo -m ${CMP_NAM} -n ORCA2AGUL_1_2 -r ORCA2_LIM -j 8 add_key "key_mpp_mpi key_mpp_rep key_agrif" del_key "key_zdftmx" del_key ${KEY_XIOS}
+    cd ${CONFIG_DIR}
+    . ./makenemo -m ${CMP_NAM} -n ORCA2AGUL_1_2 -r ORCA2_LIM -j 8 add_key "key_mpp_mpi key_mpp_rep key_agrif" del_key "key_zdftmx" del_key ${KEY_XIOS}
     cd ${SETTE_DIR}
     . param.cfg
@@ -695,15 +697,15 @@
     \rm ${JOB_FILE}
     cd ${EXE_DIR}
-    set_namelist namelist nn_it000 1
-    set_namelist namelist nn_itend 75
-    set_namelist namelist ln_ctl .false.
-    set_namelist namelist ln_clobber .true.
-    set_namelist namelist jpni 1
-    set_namelist namelist jpnj 2
-    set_namelist namelist jpnij 2
-    set_namelist 1_namelist nn_it000 1
-    set_namelist 1_namelist nn_itend 150
-    set_namelist 1_namelist ln_ctl .false.
-    set_namelist 1_namelist ln_clobber .true.
+    set_namelist namelist_cfg nn_it000 1
+    set_namelist namelist_cfg nn_itend 75
+    set_namelist namelist_cfg ln_ctl .false.
+    set_namelist namelist_cfg ln_clobber .true.
+    set_namelist namelist_cfg jpni 1
+    set_namelist namelist_cfg jpnj 2
+    set_namelist namelist_cfg jpnij 2
+    set_namelist 1_namelist_cfg nn_it000 1
+    set_namelist 1_namelist_cfg nn_itend 150
+    set_namelist 1_namelist_cfg ln_ctl .false.
+    set_namelist 1_namelist_cfg ln_clobber .true.
     cd ${SETTE_DIR}
     . ./prepare_job.sh input_ORCA2_LIM_AGRIF.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE}
@@ -712,3 +714,98 @@
 fi
 
+# TESTS FOR ORCA2_SAS_LIM CONFIGURATION
+if [ ${config} -eq 10 ] ;  then
+    ## Restartability tests for SAS
+    export TEST_NAME="LONG"
+    cd ${CONFIG_DIR}
+    . ./makenemo -m ${CMP_NAM} -n SAS_LONG -r ORCA2_SAS_LIM -j 8 add_key " " del_key ${KEY_XIOS}
+    cd ${SETTE_DIR}
+    . param.cfg
+    . all_functions.sh
+    . prepare_exe_dir.sh
+    JOB_FILE=${EXE_DIR}/run_job.sh
+    NPROC=32
+    \rm $JOB_FILE
+    cd ${EXE_DIR}
+    set_namelist namelist_cfg cn_exp \"SAS\"
+    set_namelist namelist_cfg nn_it000 1
+    set_namelist namelist_cfg nn_itend 100
+    set_namelist namelist_cfg nn_stock 50
+    set_namelist namelist_cfg ln_ctl .false.
+    set_namelist namelist_cfg ln_clobber .true.
+    set_namelist namelist_cfg jpni 8
+    set_namelist namelist_cfg jpnj 4
+    set_namelist namelist_cfg jpnij 32
+    cd ${SETTE_DIR}
+    . ./prepare_job.sh input_SAS.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE}
+
+    cd ${SETTE_DIR}
+    export TEST_NAME="SHORT"
+    . prepare_exe_dir.sh
+    cd ${EXE_DIR}
+    set_namelist namelist_cfg cn_exp \"SAS\"
+    set_namelist namelist_cfg nn_it000 51
+    set_namelist namelist_cfg nn_itend 100
+    set_namelist namelist_cfg ln_ctl .false.
+    set_namelist namelist_cfg ln_clobber .true.
+    set_namelist namelist_cfg jpni 8
+    set_namelist namelist_cfg jpnj 4
+    set_namelist namelist_cfg jpnij 32
+    set_namelist namelist_cfg nn_rstctl 2
+    set_namelist namelist_cfg cn_ocerst_in \"SAS_00000050_restart\"
+    for (( i=1; i<=$NPROC; i++)) ; do
+        L_NPROC=$(( $i - 1 ))
+        L_NPROC=`printf "%04d\n" ${L_NPROC}`
+        ln -sf ../LONG/SAS_00000050_restart_${L_NPROC}.nc .
+    done
+    cd ${SETTE_DIR}
+    . ./prepare_job.sh input_SAS.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE}
+    cd ${SETTE_DIR}
+    . ./fcm_job.sh $NPROC ${JOB_FILE} ${INTERACT_FLAG} ${MPIRUN_FLAG}
+fi
+
+if [ ${config} -eq 11 ] ;  then
+## Reproducibility tests for ORCA2_SAS_LIM
+    export TEST_NAME="REPRO_8_4"
+    cd ${CONFIG_DIR}
+    . ./makenemo -m ${CMP_NAM} -n SAS_32 -r ORCA2_SAS_LIM -j 8 add_key " " del_key ${KEY_XIOS}
+    cd ${SETTE_DIR}
+    . param.cfg
+    . all_functions.sh
+    . prepare_exe_dir.sh
+    JOB_FILE=${EXE_DIR}/run_job.sh
+    NPROC=32
+    \rm ${JOB_FILE}
+    cd ${EXE_DIR}
+    set_namelist namelist_cfg cn_exp \"SAS\"
+    set_namelist namelist_cfg nn_it000 51
+    set_namelist namelist_cfg nn_itend 100
+    set_namelist namelist_cfg ln_ctl .false.
+    set_namelist namelist_cfg ln_clobber .true.
+    set_namelist namelist_cfg jpni 8
+    set_namelist namelist_cfg jpnj 4
+    set_namelist namelist_cfg jpnij 32
+    cd ${SETTE_DIR}
+    . ./prepare_job.sh input_SAS.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE}
+    cd ${SETTE_DIR}
+    . ./fcm_job.sh $NPROC ${JOB_FILE} ${INTERACT_FLAG} ${MPIRUN_FLAG}
+
+    cd ${SETTE_DIR}
+    export TEST_NAME="REPRO_4_8"
+    . prepare_exe_dir.sh
+    cd ${EXE_DIR}
+    set_namelist namelist_cfg cn_exp \"SAS\"
+    set_namelist namelist_cfg nn_it000 51
+    set_namelist namelist_cfg nn_itend 100
+    set_namelist namelist_cfg ln_ctl .false.
+    set_namelist namelist_cfg ln_clobber .true.
+    set_namelist namelist_cfg jpni 4
+    set_namelist namelist_cfg jpnj 8
+    set_namelist namelist_cfg jpnij 32
+    cd ${SETTE_DIR}
+    . ./prepare_job.sh input_SAS.cfg $NPROC ${TEST_NAME} ${MPIRUN_FLAG} ${JOB_FILE}
+    cd ${SETTE_DIR}
+    . ./fcm_job.sh $NPROC ${JOB_FILE} ${INTERACT_FLAG} ${MPIRUN_FLAG}
+fi
+
 done
Index: /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/SETTE/sette_beginner.sh
===================================================================
--- /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/SETTE/sette_beginner.sh	(revision 4043)
+++ /branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/SETTE/sette_beginner.sh	(revision 4044)
@@ -38,8 +38,8 @@
 #
 # Compiler among those in NEMOGCM/ARCH
-COMPILER=gfortran_osx
+COMPILER=macport_osx
 export BATCH_COMMAND_PAR="llsubmit"
 export BATCH_COMMAND_SEQ=$BATCH_COMMAND_PAR
-export INTERACT_FLAG="no"
+export INTERACT_FLAG="yes"
 export MPIRUN_FLAG="yes"
 
@@ -54,5 +54,7 @@
 # Copy job_batch_COMPILER file for specific compiler into job_batch_template
 cd ${SETTE_DIR}
-cp BATCH_TEMPLATE/batch-${COMPILER} job_batch_template || exit
+##if [ ${INTERACT_FLAG} == no ] ;  then
+    cp BATCH_TEMPLATE/batch-${COMPILER} job_batch_template || exit
+##fi 
 
 # Run for GYRE CONFIG
@@ -60,6 +62,6 @@
 # compile GYRE configuration with gfortran_osx compiler run with 4 proc : 
 export TEST_NAME="SHORT_TEST"
-cd ${SETTE_DIR}
-. ../CONFIG/makenemo -m ${CMP_NAM} -n GYRE_SHORT -r GYRE -j 10 add_key "key_mpp_mpi"
+cd ${CONFIG_DIR}
+. ./makenemo -m ${CMP_NAM} -n GYRE_SHORT -r GYRE -j 10 add_key "key_mpp_mpi key_nosignedzero"
 cd ${SETTE_DIR}
 . param.cfg 
@@ -73,11 +75,11 @@
 # setting namelist parameters
 # experience name
-set_namelist namelist cn_exp \"GYRE_SHORT\"
+set_namelist namelist_cfg cn_exp \"GYRE_SHORT\"
 # first time step
-set_namelist namelist nn_it000 1
+set_namelist namelist_cfg nn_it000 1
 # last time step
-set_namelist namelist nn_itend 120
+set_namelist namelist_cfg nn_itend 120
 # frequency of creation of a restart file
-set_namelist namelist nn_stock 60
+set_namelist namelist_cfg nn_stock 60
 
 cd ${SETTE_DIR}
@@ -85,3 +87,3 @@
 # run job, with 4 processors, test named SHORT (= 60 time steps)
 cd ${SETTE_DIR}   
-. ./fcm_job.sh $NRPOC ${JOB_FILE} ${INTERACT_FLAG} ${MPIRUN_FLAG}
+. ./fcm_job.sh $NPROC ${JOB_FILE} ${INTERACT_FLAG} ${MPIRUN_FLAG}
